﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HSAS_CMPEMP', 'T_HSAS_CMPEMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_CMPEMP_PER') CREATE INDEX IDX_HSAS_CMPEMP_PER ON T_HSAS_CMPEMP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_CMPEMP_FVID') CREATE INDEX IDX_HSAS_CMPEMP_FVID ON T_HSAS_CMPEMP ( FVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_CMPEMP_EMP') CREATE INDEX IDX_HSAS_CMPEMP_EMP ON T_HSAS_CMPEMP ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_HSAS_CMPEMP_L', 'T_HSAS_CMPEMP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_CMPEMP_L') CREATE INDEX IDX_HSAS_CMPEMP_L ON T_HSAS_CMPEMP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_DEPEMP', 'T_HSAS_DEPEMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_DEPEMP_PER') CREATE INDEX IDX_HSAS_DEPEMP_PER ON T_HSAS_DEPEMP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_DEPEMP_FVID') CREATE INDEX IDX_HSAS_DEPEMP_FVID ON T_HSAS_DEPEMP ( FVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_DEPEMP_EMP') CREATE INDEX IDX_HSAS_DEPEMP_EMP ON T_HSAS_DEPEMP ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_DEPEMP_CMP') CREATE INDEX IDX_HSAS_DEPEMP_CMP ON T_HSAS_DEPEMP ( FCMPEMPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_DEPEMP_ORG') CREATE INDEX IDX_HSAS_DEPEMP_ORG ON T_HSAS_DEPEMP ( FADMINORGID );


 EXEC P_ALTERPK 'PK_HSAS_DEPEMP_L', 'T_HSAS_DEPEMP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_DEPEMP_L') CREATE INDEX IDX_HSAS_DEPEMP_L ON T_HSAS_DEPEMP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_EMPENTREL_L', 'T_HSAS_EMPENTREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPENTREL_L') CREATE INDEX IDX_HSAS_EMPENTREL_L ON T_HSAS_EMPENTREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_EMPJOBREL', 'T_HSAS_EMPJOBREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPJOBREL_PER') CREATE INDEX IDX_HSAS_EMPJOBREL_PER ON T_HSAS_EMPJOBREL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPJOBREL_FVID') CREATE INDEX IDX_HSAS_EMPJOBREL_FVID ON T_HSAS_EMPJOBREL ( FVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPJOBREL_EMP') CREATE INDEX IDX_HSAS_EMPJOBREL_EMP ON T_HSAS_EMPJOBREL ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_HSAS_EMPJOBREL_L', 'T_HSAS_EMPJOBREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPJOBREL_L') CREATE INDEX IDX_HSAS_EMPJOBREL_L ON T_HSAS_EMPJOBREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_EMPLOYEE', 'T_HSAS_EMPLOYEE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPLOYEE_PER') CREATE INDEX IDX_HSAS_EMPLOYEE_PER ON T_HSAS_EMPLOYEE ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPLOYEE_FVID') CREATE INDEX IDX_HSAS_EMPLOYEE_FVID ON T_HSAS_EMPLOYEE ( FVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPLOYEE_NO') CREATE INDEX IDX_HSAS_EMPLOYEE_NO ON T_HSAS_EMPLOYEE ( FEMPNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_EMPLOYEE_E', 'T_HSAS_EMPLOYEE_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPLOYEE_E') CREATE INDEX IDX_HSAS_EMPLOYEE_E ON T_HSAS_EMPLOYEE_E ( FSHOWNAME );


 EXEC P_ALTERPK 'PK_HSAS_EMPLOYEE_L', 'T_HSAS_EMPLOYEE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPLOYEE_L') CREATE INDEX IDX_HSAS_EMPLOYEE_L ON T_HSAS_EMPLOYEE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_EMPPOSORGRELHR', 'T_HSAS_EMPPOSORGRELHR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPPOSORGRELHR_PER') CREATE INDEX IDX_HSAS_EMPPOSORGRELHR_PER ON T_HSAS_EMPPOSORGRELHR ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPPOSORGRELHR_FVID') CREATE INDEX IDX_HSAS_EMPPOSORGRELHR_FVID ON T_HSAS_EMPPOSORGRELHR ( FVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPPOSORGRELHR_EMP') CREATE INDEX IDX_HSAS_EMPPOSORGRELHR_EMP ON T_HSAS_EMPPOSORGRELHR ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPPOSORGRELHR_DEP') CREATE INDEX IDX_HSAS_EMPPOSORGRELHR_DEP ON T_HSAS_EMPPOSORGRELHR ( FDEPEMPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPPOSORGRELHR_ORG') CREATE INDEX IDX_HSAS_EMPPOSORGRELHR_ORG ON T_HSAS_EMPPOSORGRELHR ( FADMINORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPPOSORGRELHR_JOB') CREATE INDEX IDX_HSAS_EMPPOSORGRELHR_JOB ON T_HSAS_EMPPOSORGRELHR ( FJOBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPPOSORGRELHR_NO') CREATE INDEX IDX_HSAS_EMPPOSORGRELHR_NO ON T_HSAS_EMPPOSORGRELHR ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_EMPPOSORGRELHR_E', 'T_HSAS_EMPPOSORGRELHR_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPPOSORGRELHR_A') CREATE INDEX IDX_HSAS_EMPPOSORGRELHR_A ON T_HSAS_EMPPOSORGRELHR_E ( FSHOWNAME );


 EXEC P_ALTERPK 'PK_HSAS_EMPPOSORGRELHR_L', 'T_HSAS_EMPPOSORGRELHR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPPOSORGRELHR_L') CREATE INDEX IDX_HSAS_EMPPOSORGRELHR_L ON T_HSAS_EMPPOSORGRELHR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_MANAGINGSCOPE', 'T_HSAS_MANAGINGSCOPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_MANAGINGSCOPE_PER') CREATE INDEX IDX_HSAS_MANAGINGSCOPE_PER ON T_HSAS_MANAGINGSCOPE ( FPERSONID );


 EXEC P_ALTERPK 'PK_HSAS_MANAGINGSCOPE_L', 'T_HSAS_MANAGINGSCOPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_MANAGINGSCOPE_L') CREATE INDEX IDX_HSAS_MANAGINGSCOPE_L ON T_HSAS_MANAGINGSCOPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PERPROTITLEHR', 'T_HSAS_PERPROTITLEHR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERPROTITLEHR') CREATE INDEX IDX_HSAS_PERPROTITLEHR ON T_HSAS_PERPROTITLEHR ( FPERSONID );


 EXEC P_ALTERPK 'PK_HSAS_PERPROTITLEHR_L', 'T_HSAS_PERPROTITLEHR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERPROTITLEHR_L') CREATE INDEX IDX_HSAS_PERPROTITLEHR_L ON T_HSAS_PERPROTITLEHR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PERSERLEN_L', 'T_HSAS_PERSERLEN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERSERLEN_L') CREATE INDEX IDX_HSAS_PERSERLEN_L ON T_HSAS_PERSERLEN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PERSONHR_L', 'T_HSAS_PERSONHR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERSONHR_L') CREATE INDEX IDX_HSAS_PERSONHR_L ON T_HSAS_PERSONHR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_TRIALPERIOD', 'T_HSAS_TRIALPERIOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_TRIALPERIOD_EMP') CREATE INDEX IDX_HSAS_TRIALPERIOD_EMP ON T_HSAS_TRIALPERIOD ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_TRIALPERIOD_PER') CREATE INDEX IDX_HSAS_TRIALPERIOD_PER ON T_HSAS_TRIALPERIOD ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_TRIALPERIOD_VID') CREATE INDEX IDX_HSAS_TRIALPERIOD_VID ON T_HSAS_TRIALPERIOD ( FVID );


 EXEC P_ALTERPK 'PK_HSAS_TRIALPERIOD_L', 'T_HSAS_TRIALPERIOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_TRIALPERIOD_L') CREATE INDEX IDX_HSAS_TRIALPERIOD_L ON T_HSAS_TRIALPERIOD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_FILEMANAGINGSCOPE', 'T_HSAS_FILEMANAGINGSCOPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_FILEMANAGINGSCOPE') CREATE INDEX IDX_HSAS_FILEMANAGINGSCOPE ON T_HSAS_FILEMANAGINGSCOPE ( FSALARYFILEID );


 EXEC P_ALTERPK 'PK_HSAS_PAYNODE', 'T_HSAS_PAYNODE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYNODE') CREATE INDEX IDX_HSAS_PAYNODE ON T_HSAS_PAYNODE ( FNAME );


 EXEC P_ALTERPK 'PK_HSAS_PAYNODE_L', 'T_HSAS_PAYNODE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYNODE_L') CREATE INDEX IDX_HSAS_PAYNODE_L ON T_HSAS_PAYNODE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PAYNODEBIZENT', 'T_HSAS_PAYNODEBIZENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYNODEBIZENT') CREATE INDEX IDX_HSAS_PAYNODEBIZENT ON T_HSAS_PAYNODEBIZENT ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PAYNODECALENT', 'T_HSAS_PAYNODECALENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYNODECALENT') CREATE INDEX IDX_HSAS_PAYNODECALENT ON T_HSAS_PAYNODECALENT ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PAYNODEGRP', 'T_HSAS_PAYNODEGRP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYNODEGRP') CREATE INDEX IDX_HSAS_PAYNODEGRP ON T_HSAS_PAYNODEGRP ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_PAYNODEGRP_L', 'T_HSAS_PAYNODEGRP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYNODEGRP_L') CREATE INDEX IDX_HSAS_PAYNODEGRP_L ON T_HSAS_PAYNODEGRP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PAYNODEGRPENT', 'T_HSAS_PAYNODEGRPENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYNODEGRPENT') CREATE INDEX IDX_HSAS_PAYNODEGRPENT ON T_HSAS_PAYNODEGRPENT ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PAYNODEGRPENT_L', 'T_HSAS_PAYNODEGRPENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYNODEGRPENT_L') CREATE INDEX IDX_HSAS_PAYNODEGRPENT_L ON T_HSAS_PAYNODEGRPENT_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PERTSPROP_L', 'T_HSAS_PERTSPROP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERTSPROP_L') CREATE INDEX IDX_HSAS_PERTSPROP_L ON T_HSAS_PERTSPROP_L ( FTSPROPID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_EMPENTREL', 'T_HSAS_EMPENTREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPENTREL_PER') CREATE INDEX IDX_HSAS_EMPENTREL_PER ON T_HSAS_EMPENTREL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPENTREL_FVID') CREATE INDEX IDX_HSAS_EMPENTREL_FVID ON T_HSAS_EMPENTREL ( FVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPENTREL_EMP') CREATE INDEX IDX_HSAS_EMPENTREL_EMP ON T_HSAS_EMPENTREL ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPENTREL_NO') CREATE INDEX IDX_HSAS_EMPENTREL_NO ON T_HSAS_EMPENTREL ( FEMPNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPENTREL_PNO') CREATE INDEX IDX_HSAS_EMPENTREL_PNO ON T_HSAS_EMPENTREL ( FOLDEMPNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_EMPENTREL_NUM') CREATE INDEX IDX_HSAS_EMPENTREL_NUM ON T_HSAS_EMPENTREL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_PERNONTSPROP', 'T_HSAS_PERNONTSPROP', 'FNONTSPROPID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERNONTSPROP_FID') CREATE INDEX IDX_HSAS_PERNONTSPROP_FID ON T_HSAS_PERNONTSPROP ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERNONTSPROP_FVID') CREATE INDEX IDX_HSAS_PERNONTSPROP_FVID ON T_HSAS_PERNONTSPROP ( FVID );


 EXEC P_ALTERPK 'PK_HSAS_PERNONTSPROP_L', 'T_HSAS_PERNONTSPROP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERNONTSPROP_L') CREATE INDEX IDX_HSAS_PERNONTSPROP_L ON T_HSAS_PERNONTSPROP_L ( FNONTSPROPID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PERSERLEN', 'T_HSAS_PERSERLEN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERSERLEN_PRE') CREATE INDEX IDX_HSAS_PERSERLEN_PRE ON T_HSAS_PERSERLEN ( FPERSONID );


 EXEC P_ALTERPK 'PK_HSAS_PERSONHR', 'T_HSAS_PERSONHR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERSONHR_NUMBER') CREATE INDEX IDX_HSAS_PERSONHR_NUMBER ON T_HSAS_PERSONHR ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERSONHR_VID') CREATE INDEX IDX_HSAS_PERSONHR_VID ON T_HSAS_PERSONHR ( FVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERSONHR_NAME') CREATE INDEX IDX_HSAS_PERSONHR_NAME ON T_HSAS_PERSONHR ( FNAME );


 EXEC P_ALTERPK 'PK_HSAS_PERTSPROP', 'T_HSAS_PERTSPROP', 'FTSPROPID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERTSPROP_FID') CREATE INDEX IDX_HSAS_PERTSPROP_FID ON T_HSAS_PERTSPROP ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PERTSPROP_FVID') CREATE INDEX IDX_HSAS_PERTSPROP_FVID ON T_HSAS_PERTSPROP ( FVID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_constraint.sql **/
