﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CMPEMP') 
 CREATE TABLE T_HSAS_CMPEMP (
FID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
FISPRIMARYSCOPE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CMPEMP_L') 
 CREATE TABLE T_HSAS_CMPEMP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_DEPEMP') 
 CREATE TABLE T_HSAS_DEPEMP (
FID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FISPRIMARY CHAR(1) DEFAULT '0' NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_DEPEMP_L') 
 CREATE TABLE T_HSAS_DEPEMP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPENTREL_L') 
 CREATE TABLE T_HSAS_EMPENTREL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPJOBREL') 
 CREATE TABLE T_HSAS_EMPJOBREL (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FHRBUID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FVARIATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FENDVARIATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FVARIATIONTREASONID BIGINT DEFAULT 0 NOT NULL,
FENDVARIATIONTREASONID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FJOBLENGTH INT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPJOBREL_L') 
 CREATE TABLE T_HSAS_EMPJOBREL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPLOYEE') 
 CREATE TABLE T_HSAS_EMPLOYEE (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FENTERPRISEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FSYSENDDATE DATETIME,
FMID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FENDDATE DATETIME,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPLOYEE_E') 
 CREATE TABLE T_HSAS_EMPLOYEE_E (
FID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSHOWNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPLOYEE_L') 
 CREATE TABLE T_HSAS_EMPLOYEE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPPOSORGRELHR') 
 CREATE TABLE T_HSAS_EMPPOSORGRELHR (
FID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISPRIMARY CHAR(1) DEFAULT '0' NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSSTATUS BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FSYSENDDATE DATETIME,
FISLATESTRECORD CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FENDDATE DATETIME,
FSERVICELENGTH INT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FVARIATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FVARIATIONREASONID BIGINT DEFAULT 0 NOT NULL,
FISEXISTPROBATION CHAR(1) DEFAULT '0' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISINSYSTEM CHAR(1) DEFAULT '0' NOT NULL,
FSTARTPROBATION DATETIME,
FENDPROBATION DATETIME,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FLASTWORKDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENDVARIATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FENDVARIATIONREASONID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPPOSORGRELHR_E') 
 CREATE TABLE T_HSAS_EMPPOSORGRELHR_E (
FID BIGINT DEFAULT 0 NOT NULL,
FSHOWNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPPOSORGRELHR_L') 
 CREATE TABLE T_HSAS_EMPPOSORGRELHR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_MANAGINGSCOPE') 
 CREATE TABLE T_HSAS_MANAGINGSCOPE (
FID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FSTARTDATE DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FVARIATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FVARIATIONREASONID BIGINT DEFAULT 0 NOT NULL,
FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
FISPRIMARYSCOPE CHAR(1) DEFAULT '0' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISLATESTRECORD CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_MANAGINGSCOPE_L') 
 CREATE TABLE T_HSAS_MANAGINGSCOPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERPROTITLEHR') 
 CREATE TABLE T_HSAS_PERPROTITLEHR (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONALID BIGINT DEFAULT 0 NOT NULL,
FPROLEVELID BIGINT DEFAULT 0 NOT NULL,
FAWARDTIME DATETIME,
FISHIGH CHAR(1) DEFAULT '0' NOT NULL,
FISCOMPANY CHAR(1) DEFAULT '0' NOT NULL,
FFIRSTTIME DATETIME,
FSECONDTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FDETAILS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFICE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPROVNUM NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERPROTITLEHR_L') 
 CREATE TABLE T_HSAS_PERPROTITLEHR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDETAILS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFICE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPROVNUM NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERSERLEN_L') 
 CREATE TABLE T_HSAS_PERSERLEN_L (
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERSONHR_L') 
 CREATE TABLE T_HSAS_PERSONHR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_TRIALPERIOD') 
 CREATE TABLE T_HSAS_TRIALPERIOD (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPROBATION INT DEFAULT 0 NOT NULL,
FPROBATIONUNIT VARCHAR(150) DEFAULT ' ' NOT NULL,
FPREREGULARDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSYSENDDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FENTRYDATE DATETIME,
FREALREGULARDATE DATETIME,
FEXAMSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FREGSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FASKSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEXAMSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FREGCOMMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREGCATEGORY NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_TRIALPERIOD_L') 
 CREATE TABLE T_HSAS_TRIALPERIOD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_FILEMANAGINGSCOPE') 
 CREATE TABLE T_HSAS_FILEMANAGINGSCOPE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_SALARYFILE' AND KSQL_COL_NAME ='FEMPLOYEEID') 
 ALTER TABLE T_HSAS_SALARYFILE ADD (FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_SALARYFILE' AND KSQL_COL_NAME ='FMANAGINGSCOPEID') 
 ALTER TABLE T_HSAS_SALARYFILE ADD (FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYNODE') 
 CREATE TABLE T_HSAS_PAYNODE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYNODETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FBIZALLCFG CHAR(1) DEFAULT ' ' NOT NULL,
FPAYNODEGRPID BIGINT DEFAULT 0 NOT NULL,
FPAYNODEGRPVID BIGINT DEFAULT 0 NOT NULL,
FPAYNODEGRPENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYNODE_L') 
 CREATE TABLE T_HSAS_PAYNODE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYNODEBIZENT') 
 CREATE TABLE T_HSAS_PAYNODEBIZENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZITEMGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYNODECALENT') 
 CREATE TABLE T_HSAS_PAYNODECALENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYROLLGRPID BIGINT DEFAULT 0 NOT NULL,
FCALRULEID BIGINT DEFAULT 0 NOT NULL,
FCALPERIODID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYNODEGRP') 
 CREATE TABLE T_HSAS_PAYNODEGRP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FPAYNODERULE VARCHAR(20) DEFAULT ' ' NOT NULL,
FCALPERIODTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYNODEGRP_L') 
 CREATE TABLE T_HSAS_PAYNODEGRP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYNODEGRPENT') 
 CREATE TABLE T_HSAS_PAYNODEGRPENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISSTARTTIMECFG CHAR(1) DEFAULT '0' NOT NULL,
FISENDTIMECFG CHAR(1) DEFAULT '0' NOT NULL,
FSTARTTIMECFG VARCHAR(500) DEFAULT ' ' NOT NULL,
FENDTIMECFG VARCHAR(500) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYNODEGRPENT_L') 
 CREATE TABLE T_HSAS_PAYNODEGRPENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYNODESCM' AND KSQL_COL_NAME ='FFREQUENCYID') 
 ALTER TABLE T_HSAS_PAYNODESCM ADD (FFREQUENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERTSPROP_L') 
 CREATE TABLE T_HSAS_PERTSPROP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FTSPROPID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERNONTSPROP') 
 CREATE TABLE T_HSAS_PERNONTSPROP (
FNONTSPROPID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDISPLAYNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FNAMEEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FENNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FNATIVELNGNAME VARCHAR(1000) DEFAULT ' ' NOT NULL,
FGENDERID BIGINT DEFAULT 0 NOT NULL,
FBIRTHDAY DATETIME,
FFOLKID BIGINT DEFAULT 0 NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FNATIVEPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMERNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FBIRTHPLACEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONSTELLATIONID BIGINT DEFAULT 0 NOT NULL,
FSYMBOLICANIMALSID BIGINT DEFAULT 0 NOT NULL,
FLUNARCALENDARBIRTHDAY DATETIME,
FNATIVENAMEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FBEGINSERVICEDATE DATETIME,
FDEATHDATE DATETIME,
FAGE INT DEFAULT 0 NOT NULL,
FHEIGHT INT DEFAULT 0 NOT NULL,
FBLOODTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSERVICELEN DECIMAL(19,6) DEFAULT 0 NOT NULL,
FENTSERVICELEN DECIMAL(19,6) DEFAULT 0 NOT NULL,
FJULIANBIRTHDAY DATETIME,
FBIRTHDAYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FNATIVENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FHEADSCULPTURE VARCHAR(300) DEFAULT ' ' NOT NULL,
FMARRIAGEREGISTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERNONTSPROP_L') 
 CREATE TABLE T_HSAS_PERNONTSPROP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNONTSPROPID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNATIVENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERSERLEN') 
 CREATE TABLE T_HSAS_PERSERLEN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPOSSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FFIRSTJOINCOMDATE DATETIME,
FJOINCOMDATE DATETIME,
FADJUSTCOMTIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCOMSERCOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FJOINWORKTIME DATETIME,
FADJUSTWORKTIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FWORKYEAR DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSOCIALWORKAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERSONHR') 
 CREATE TABLE T_HSAS_PERSONHR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FHEADSCULPTURE VARCHAR(300) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISHRCREATE CHAR(1) DEFAULT '1' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FPERSONINDEXID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERTSPROP') 
 CREATE TABLE T_HSAS_PERTSPROP (
FTSPROPID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FMARRIAGESTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROCREATSTATUSID BIGINT DEFAULT 0 NOT NULL,
FHEALTHSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHILDRENNUMBER INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_ACCRESULT' AND KSQL_COL_NAME ='FEMPLOYEEID') 
 ALTER TABLE T_HSAS_ACCRESULT ADD (FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_AGENCYPAYBILL' AND KSQL_COL_NAME ='FPAIDCOUNT') 
 ALTER TABLE T_HSAS_AGENCYPAYBILL ADD (FPAIDCOUNT INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_AGENCYPAYENT' AND KSQL_COL_NAME ='FPAYROLLGROUPID') 
 ALTER TABLE T_HSAS_AGENCYPAYENT ADD (FPAYROLLGROUPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_EMPENTREL') 
 CREATE TABLE T_HSAS_EMPENTREL (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FOLDEMPNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FENTERPRISEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FSYSENDDATE DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FSERVICELENGTH DECIMAL(19,6) DEFAULT 0 NOT NULL,
FADJUSTLENGTH DECIMAL(19,6) DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FONBOARDSOURCEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISPROBATION CHAR(1) DEFAULT '1' NOT NULL,
FPREEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPROBATION INT DEFAULT 0 NOT NULL,
FPROBATIONUNIT VARCHAR(2) DEFAULT ' ' NOT NULL,
FPREREGULARDATE DATETIME,
FREGULARDATE DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FLABORSUBCATEID BIGINT DEFAULT 0 NOT NULL,
FLABRELSTATUSPRDID BIGINT DEFAULT 0 NOT NULL,
FFIRSTSTARTDATE DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
