﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALBCENTRY')
 CREATE TABLE T_HSAS_CALBCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRORATETYPE VARCHAR(2) DEFAULT '0' NOT NULL,
FNUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEVALUE DATETIME,
FTEXTVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALBSENTRY')
 CREATE TABLE T_HSAS_CALBSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBIZITEMID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRORATETYPE VARCHAR(2) DEFAULT '0' NOT NULL,
FNUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEVALUE DATETIME,
FTEXTVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCALAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALSPENTRY')
 CREATE TABLE T_HSAS_CALSPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRORATETYPE VARCHAR(2) DEFAULT '0' NOT NULL,
FSUPPORTITEMID BIGINT DEFAULT 0 NOT NULL,
FNUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEVALUE DATETIME,
FTEXTVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);
