﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_NONRECURBIZDATA')
 CREATE TABLE T_HSAS_NONRECURBIZDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDATASOURCES VARCHAR(10) DEFAULT ' ' NOT NULL,
FSRCSYSTEM VARCHAR(255) DEFAULT ' ' NOT NULL,
FBATCHNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FIDENTIFYNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZDATAACCESSTPLID BIGINT DEFAULT 0 NOT NULL,
FUSAGECOUNT INT DEFAULT 0 NOT NULL,
FOPREASON NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FBIZITEMID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDATAVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FCALPERIODID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_NONRECURBIZDATA_L')
 CREATE TABLE T_HSAS_NONRECURBIZDATA_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_RECURBIZDATA')
 CREATE TABLE T_HSAS_RECURBIZDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDATASOURCES VARCHAR(10) DEFAULT ' ' NOT NULL,
FSRCSYSTEM VARCHAR(255) DEFAULT ' ' NOT NULL,
FBATCHNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FIDENTIFYNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZDATAACCESSTPLID BIGINT DEFAULT 0 NOT NULL,
FUSAGECOUNT INT DEFAULT 0 NOT NULL,
FOPREASON NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FBIZITEMID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDATAVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FCALPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FCALPERIODID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_RECURBIZDATA_L')
 CREATE TABLE T_HSAS_RECURBIZDATA_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
