IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_RESULTCOVERLOG')
 CREATE TABLE T_HSAS_RESULTCOVERLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FCALPERSONID BIGINT DEFAULT 0 NOT NULL,
FFILENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMPNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FRESULTCOVERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FBISNULL CHAR(1) DEFAULT ' ' NOT NULL,
FBTEXTVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBDATEVALUE DATETIME,
FBNUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBAMOUNTVALUE_ENP NCLOB,
FAISNULL CHAR(1) DEFAULT ' ' NOT NULL,
FATEXTVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADATEVALUE DATETIME,
FANUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAAMOUNTVALUE_ENP NCLOB,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(10) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_RESULTCOVERDATA')
 CREATE TABLE T_HSAS_RESULTCOVERDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FCALPERSONID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FNUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEVALUE DATETIME,
FTEXTVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCALAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCALAMOUNTVALUE_ENP NCLOB,
FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_RESULTCOVERLOG_L')
 CREATE TABLE T_HSAS_RESULTCOVERLOG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);