﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALRULE' AND KSQL_COL_NAME ='FISDRAFT')
 ALTER TABLE T_HSAS_CALRULE ADD (FISDRAFT CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ATTINTEGDETAILLOG')
 CREATE TABLE T_HSAS_ATTINTEGDETAILLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FATTINTEGMAPSCMID BIGINT DEFAULT 0 NOT NULL,
FPROCESSSTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FWRITEBACKSTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FIGNOREDSTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPROCESSRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FATTINTEGSUMLOGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ATTINTEGFILELOG')
 CREATE TABLE T_HSAS_ATTINTEGFILELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FPROCESSSTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FWRITEBACKSTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FIGNOREDSTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPROCESSRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FBATCHVERSIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FLASTSTARTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ATTINTEGITEMLOG')
 CREATE TABLE T_HSAS_ATTINTEGITEMLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FATTITEMID BIGINT DEFAULT 0 NOT NULL,
FBIZITEMID BIGINT DEFAULT 0 NOT NULL,
FATTSUMMARYITEMID BIGINT DEFAULT 0 NOT NULL,
FREASON VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAGNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FINTEGDETAILEDLOGID BIGINT DEFAULT 0 NOT NULL,
FATTINTEGSUMLOGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ATTINTEGSUMLOG')
 CREATE TABLE T_HSAS_ATTINTEGSUMLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FOPERATIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTEGRATIONSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTEGRATIONQUANTITY INT DEFAULT 0 NOT NULL,
FSUCCESSQUANTITY INT DEFAULT 0 NOT NULL,
FFAILQUANTITY INT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFRONTENDSYSTEM VARCHAR(10) DEFAULT ' ' NOT NULL,
FFILEQUANTITY INT DEFAULT 0 NOT NULL,
FPROCESSSTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FWRITEBACKSTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FBATCHVERSIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTIMECONSUME BIGINT DEFAULT 0 NOT NULL,
FWRITEBACKFILEQUANTITY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_NONRECURBIZDATA' AND KSQL_COL_NAME ='FGROUPID')
 ALTER TABLE T_HSAS_NONRECURBIZDATA ADD (FGROUPID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_RECURBIZDATA' AND KSQL_COL_NAME ='FGROUPID')
 ALTER TABLE T_HSAS_RECURBIZDATA ADD (FGROUPID VARCHAR(50) DEFAULT ' ' NOT NULL );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
