﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_INSURANCEDATA') 
 CREATE TABLE T_HSAS_INSURANCEDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FFILENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FSINSURPERIODNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIODDATE DATETIME,
FBATCHID VARCHAR(50) DEFAULT ' ' NOT NULL,
FUSESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FCALPERSONID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_INSURANCEDATAENT') 
 CREATE TABLE T_HSAS_INSURANCEDATAENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSURANCEITEMID BIGINT DEFAULT 0 NOT NULL,
FNUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSTORAGETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FISNULL CHAR(1) DEFAULT '0' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
