﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BIZDATARECORD') 
 CREATE TABLE T_HSAS_BIZDATARECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDATASOURCES VARCHAR(10) DEFAULT ' ' NOT NULL,
FSRCSYSTEM VARCHAR(255) DEFAULT ' ' NOT NULL,
FOPSYSTEM VARCHAR(255) DEFAULT ' ' NOT NULL,
FBATCHNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FIDENTIFYNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZDATAACCESSTPLID BIGINT DEFAULT 0 NOT NULL,
FUSAGECOUNT INT DEFAULT 0 NOT NULL,
FOPREASON NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FCALPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FCALPERIODID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FFREQUENCYID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FGROUPID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BIZDATARECORD_L') 
 CREATE TABLE T_HSAS_BIZDATARECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_NONRECURBIZDATA' AND KSQL_COL_NAME ='FBIZDATARECORDID') 
 ALTER TABLE T_HSAS_NONRECURBIZDATA ADD (FBIZDATARECORDID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALBIZDATAREL' AND KSQL_COL_NAME ='FBIZITEMID') 
 ALTER TABLE T_HSAS_CALBIZDATAREL ADD (FBIZITEMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYROLLACTGTIPS') 
 CREATE TABLE T_HSAS_PAYROLLACTGTIPS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTITYOBJECTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
