﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_constraint.sql **/

 EXEC P_ALTERPK 'PK_HSAS_PRORATIONGENRENT', 'T_HSAS_PRORATIONGENRENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONGENRENT' AND KSQL_INDNAME = 'IDX_HSAS_PRORATIONGENRENT') CREATE INDEX IDX_HSAS_PRORATIONGENRENT ON T_HSAS_PRORATIONGENRENT ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONGENRULE', 'T_HSAS_PRORATIONGENRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONGENRULE' AND KSQL_INDNAME = 'IDX_HSAS_PRORATIONGENRULE') CREATE INDEX IDX_HSAS_PRORATIONGENRULE ON T_HSAS_PRORATIONGENRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONGENRULE_L', 'T_HSAS_PRORATIONGENRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONGENRULE_L' AND KSQL_INDNAME = 'IDX_HSAS_PRORATIONGENRULE_L') CREATE INDEX IDX_HSAS_PRORATIONGENRULE_L ON T_HSAS_PRORATIONGENRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONGRENTSL', 'T_HSAS_PRORATIONGRENTSL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONGRENTSL' AND KSQL_INDNAME = 'IDX_HSAS_PRORATIONGRENTSL') CREATE INDEX IDX_HSAS_PRORATIONGRENTSL ON T_HSAS_PRORATIONGRENTSL ( FENTRYID );


 EXEC P_ALTERPK 'PK_HSAS_SLPRORATIONEVENT', 'T_HSAS_SLPRORATIONEVENT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSAS_SLPRORATIONEVENT' AND KSQL_INDNAME = 'IDX_HSAS_SLPRORATIONEVENT') CREATE INDEX IDX_HSAS_SLPRORATIONEVENT ON T_HSAS_SLPRORATIONEVENT ( FID );


 EXEC P_ALTERPK 'PK_HSAS_SLPRORATIONRECORD', 'T_HSAS_SLPRORATIONRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSAS_SLPRORATIONRECORD' AND KSQL_INDNAME = 'IDX_T_HSAS_SLPRORATIONRECORD') CREATE INDEX IDX_T_HSAS_SLPRORATIONRECORD ON T_HSAS_SLPRORATIONRECORD ( FCALPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSAS_SLPRORATIONRECORD' AND KSQL_INDNAME = 'IDX_T_HSAS_SLPRORATIONRECORD_1') CREATE INDEX IDX_T_HSAS_SLPRORATIONRECORD_1 ON T_HSAS_SLPRORATIONRECORD ( FCALTASKID );


EXEC p_DropIdx 'IDX_HSAS_CALPRORATIONREL', 'T_HSAS_CALPRORATIONREL';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HSAS_CALPRORATIONREL' AND KSQL_INDNAME = 'IDX_HSAS_CALPRORATIONREL') CREATE INDEX IDX_HSAS_CALPRORATIONREL ON T_HSAS_CALPRORATIONREL ( FCALPERSONID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_constraint.sql **/
