﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_SALARYSLIP') 
 CREATE TABLE T_HSAS_SALARYSLIP (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEVID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLDATE DATETIME,
FCALCOUNT BIGINT DEFAULT 0 NOT NULL,
FPAYSUBJECTID BIGINT DEFAULT 0 NOT NULL,
FPAYSUBJECTVID BIGINT DEFAULT 0 NOT NULL,
FSALARYVIEWID BIGINT DEFAULT 0 NOT NULL,
FSALARYVIEWVID BIGINT DEFAULT 0 NOT NULL,
FISSEND CHAR(1) DEFAULT ' ' NOT NULL,
FSENDTIME DATETIME,
FENCRYPTLEVEL VARCHAR(10) DEFAULT ' ' NOT NULL,
FENCRYPTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSALARYSLIPDATA NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBIGINTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATEFIELD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_SALARYSLIP_L') 
 CREATE TABLE T_HSAS_SALARYSLIP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCAPTION NVARCHAR(100) DEFAULT ' ' NOT NULL
);