
 EXEC P_ALTERPK 'PK_HSAS_PRORATIONCALTASK', 'T_HSAS_PRORATIONCALTASK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PRORATIONCALTASK') CREATE INDEX IDX_HSAS_PRORATIONCALTASK ON T_HSAS_PRORATIONCALTASK ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONRULE', 'T_HSAS_PRORATIONRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PRORATIONRULE') CREATE INDEX IDX_HSAS_PRORATIONRULE ON T_HSAS_PRORATIONRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONRULE_L', 'T_HSAS_PRORATIONRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PRORATIONRULE_L') CREATE INDEX IDX_HSAS_PRORATIONRULE_L ON T_HSAS_PRORATIONRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_CALPRORATIONREL', 'T_HSAS_CALPRORATIONREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_CALPRORATIONREL') CREATE INDEX IDX_HSAS_CALPRORATIONREL ON T_HSAS_CALPRORATIONREL ( FCALTABLEID );


 EXEC P_ALTERPK 'PK_HSAS_ITEMPRORATEDETAIL', 'T_HSAS_ITEMPRORATEDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_ITEMPRORATEDETAIL') CREATE INDEX IDX_HSAS_ITEMPRORATEDETAIL ON T_HSAS_ITEMPRORATEDETAIL ( FCALTABLEID ,FSALARYITEMID );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONTASK', 'T_HSAS_PRORATIONTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PRORATIONTASK') CREATE INDEX IDX_HSAS_PRORATIONTASK ON T_HSAS_PRORATIONTASK ( FSALARYFILEID ,FPRORATIONDATE );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONTASK_L', 'T_HSAS_PRORATIONTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PRORATIONTASK_L') CREATE INDEX IDX_HSAS_PRORATIONTASK_L ON T_HSAS_PRORATIONTASK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONSCH_L', 'T_HSAS_PRORATIONSCH_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PRORATIONSCH_L') CREATE INDEX IDX_HSAS_PRORATIONSCH_L ON T_HSAS_PRORATIONSCH_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONSCHENTRY', 'T_HSAS_PRORATIONSCHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PRORATIONSCHENTRY') CREATE INDEX IDX_HSAS_PRORATIONSCHENTRY ON T_HSAS_PRORATIONSCHENTRY ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PRORATIONSCH', 'T_HSAS_PRORATIONSCH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PRORATIONSCH') CREATE INDEX IDX_HSAS_PRORATIONSCH ON T_HSAS_PRORATIONSCH ( FNUMBER );
