IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONTASK') 
 CREATE TABLE T_HSAS_PRORATIONTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FPRORATIONSCHID BIGINT DEFAULT 0 NOT NULL,
FPRORATIONSCHVID BIGINT DEFAULT 0 NOT NULL,
FPRORATIONDATE DATETIME,
FEMPPOSINFOVID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSINFOENTVID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONTASK_L') 
 CREATE TABLE T_HSAS_PRORATIONTASK_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONCALTASK') 
 CREATE TABLE T_HSAS_PRORATIONCALTASK (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONRULE') 
 CREATE TABLE T_HSAS_PRORATIONRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FMVID BIGINT DEFAULT 0 NOT NULL,
FGENERALENNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FNUMERATORID BIGINT DEFAULT 0 NOT NULL,
FDENOMINATORID BIGINT DEFAULT 0 NOT NULL,
FDATAPRECISIONID BIGINT DEFAULT 0 NOT NULL,
FDATAROUNDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONRULE_L') 
 CREATE TABLE T_HSAS_PRORATIONRULE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALPRORATIONREL') 
 CREATE TABLE T_HSAS_CALPRORATIONREL (
FID BIGINT DEFAULT 0 NOT NULL,
FCALTABLEID BIGINT DEFAULT 0 NOT NULL,
FPRORATIONTASKID BIGINT DEFAULT 0 NOT NULL,
FISHANDLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLESTATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ITEMPRORATEDETAIL') 
 CREATE TABLE T_HSAS_ITEMPRORATEDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FCALTABLEID BIGINT DEFAULT 0 NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FNUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCALAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCALAMOUNTVALUE_ENP NCLOB,
FORIAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIAMOUNTVALUE_ENP NCLOB,
FTEXTVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATEVALUE DATETIME,
FPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRORATIONTASKID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEVID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSORGRELVID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSORGRELENTRYVID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONSCH_L') 
 CREATE TABLE T_HSAS_PRORATIONSCH_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONSCHENTRY') 
 CREATE TABLE T_HSAS_PRORATIONSCHENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONSCH') 
 CREATE TABLE T_HSAS_PRORATIONSCH (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGENERALENNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FMVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FPRORATIONTYPE VARCHAR(10) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALRULE' AND KSQL_COL_NAME ='FPRORATIONRULEID') 
 ALTER TABLE T_HSAS_CALRULE ADD (FPRORATIONRULEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK' AND KSQL_COL_NAME ='FISHANDLEPRORATION') 
 ALTER TABLE T_HSAS_CALPAYROLLTASK ADD (FISHANDLEPRORATION CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK' AND KSQL_COL_NAME ='FISAUTOPRORATIONTASK') 
 ALTER TABLE T_HSAS_CALPAYROLLTASK ADD (FISAUTOPRORATIONTASK CHAR(1) DEFAULT '0' NOT NULL );
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALRULEITEMENTRY' AND KSQL_COL_NAME ='FISCONVERT') 
 ALTER TABLE T_HSAS_CALRULEITEMENTRY ADD (FISCONVERT VARCHAR(2) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALRULEITEMENTRY' AND KSQL_COL_NAME ='FCUSTOMPRORATIONRULEID') 
 ALTER TABLE T_HSAS_CALRULEITEMENTRY ADD (FCUSTOMPRORATIONRULEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALTABLEENTRY' AND KSQL_COL_NAME ='FISITEMPRORATION') 
 ALTER TABLE T_HSAS_CALTABLEENTRY ADD (FISITEMPRORATION VARCHAR(2) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALTABLEENTRY' AND KSQL_COL_NAME ='FPROPORTION') 
 ALTER TABLE T_HSAS_CALTABLEENTRY ADD (FPROPORTION DECIMAL(23,10) DEFAULT 0 NOT NULL );
