﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_SALARYFILE' AND KSQL_COL_NAME ='FISESCROWSTAFF') 
 ALTER TABLE T_HSAS_SALARYFILE ADD (FISESCROWSTAFF CHAR(1) DEFAULT '0' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_APPROVEAGEENT') 
 CREATE TABLE T_HSAS_APPROVEAGEENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAGESPECIALSCHENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAGESPECIALSCHENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_APPROVEAPVENT') 
 CREATE TABLE T_HSAS_APPROVEAPVENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISSAME CHAR(1) DEFAULT '1' NOT NULL,
FCONDITION NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_APPROVEBILLTPL') 
 CREATE TABLE T_HSAS_APPROVEBILLTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISEFFECT CHAR(1) DEFAULT '0' NOT NULL,
FISSHARESCHEME CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_APPROVEBILLTPL_L') 
 CREATE TABLE T_HSAS_APPROVEBILLTPL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_APPROVEDEFENT') 
 CREATE TABLE T_HSAS_APPROVEDEFENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEFAULTSCHEMENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEFAULTSCHEMEENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_APPROVESCHENT') 
 CREATE TABLE T_HSAS_APPROVESCHENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISDISPLAYZEROITEM CHAR(1) DEFAULT '0' NOT NULL,
FISDISPLAYEMPTYITEM CHAR(1) DEFAULT '0' NOT NULL,
FISDISPLAYTOTAL CHAR(1) DEFAULT '0' NOT NULL,
FREFERREPORT VARCHAR(2) DEFAULT ' ' NOT NULL,
FREPORTSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FSUMTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSCHEMENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_APPROVESCHENT_L') 
 CREATE TABLE T_HSAS_APPROVESCHENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSCHEMENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_APPROVESPCLENT') 
 CREATE TABLE T_HSAS_APPROVESPCLENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISSAME CHAR(1) DEFAULT '1' NOT NULL,
FCONDITION NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_APPROVESURVEY') 
 CREATE TABLE T_HSAS_APPROVESURVEY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDISPLAYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDVALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISENABLE CHAR(1) DEFAULT '0' NOT NULL,
FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FVALUETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_APPROVEBILL' AND KSQL_COL_NAME ='FAPPROVEBILLTPLID') 
 ALTER TABLE T_HSAS_APPROVEBILL ADD (FAPPROVEBILLTPLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_APPROVEBILLPRE' AND KSQL_COL_NAME ='FAPPROVEBILLTPLID') 
 ALTER TABLE T_HSAS_APPROVEBILLPRE ADD (FAPPROVEBILLTPLID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
