IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALTASKNEWTPL') 
 CREATE TABLE T_HSAS_CALTASKNEWTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBRED DATETIME,
FBRLED DATETIME,
FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FGENERALENNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYROLLGRPID BIGINT DEFAULT 0 NOT NULL,
FOPERATION VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATIONDAYS INT DEFAULT 0 NOT NULL,
FNOTIFYWAY VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALTASKNEWTPL_L') 
 CREATE TABLE T_HSAS_CALTASKNEWTPL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALTASKNEWLOG') 
 CREATE TABLE T_HSAS_CALTASKNEWLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FTPLNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCALTASKNEWTPLHISID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FEXCUTETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXECUTORID BIGINT DEFAULT 0 NOT NULL,
FTPLCALLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCALLPERIODID BIGINT DEFAULT 0 NOT NULL,
FTPLCALLDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALTASKNEWLOG_L') 
 CREATE TABLE T_HSAS_CALTASKNEWLOG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FTPLCALLDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_HSAS_CALTASKNEWTPL', 'FNOTIFYWAY', 'VARCHAR(255)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALTASKNEWTPL' AND KSQL_COL_NAME ='FCHARGEPERSONID') 
 ALTER TABLE T_HSAS_CALTASKNEWTPL ADD (FCHARGEPERSONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALTASKNEWTPL' AND KSQL_COL_NAME ='FSCHEDULEID') 
 ALTER TABLE T_HSAS_CALTASKNEWTPL ADD (FSCHEDULEID VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALTASKNEWTPL' AND KSQL_COL_NAME ='FSCHEDULEDESC') 
 ALTER TABLE T_HSAS_CALTASKNEWTPL ADD (FSCHEDULEDESC NVARCHAR(360) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALTASKNEWTPL' AND KSQL_COL_NAME ='FCHANGESTATUS') 
 ALTER TABLE T_HSAS_CALTASKNEWTPL ADD (FCHANGESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALTASKNEWTPL' AND KSQL_COL_NAME ='FNOTIFYCONFIG') 
 ALTER TABLE T_HSAS_CALTASKNEWTPL ADD (FNOTIFYCONFIG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALTASKNEWTPL_L' AND KSQL_COL_NAME ='FSCHEDULEDESC') 
 ALTER TABLE T_HSAS_CALTASKNEWTPL_L ADD (FSCHEDULEDESC NVARCHAR(360) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALPAYROLLTASK_A') 
 CREATE TABLE T_HSAS_CALPAYROLLTASK_A (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKNEWMETHOD VARCHAR(10) DEFAULT '1' NOT NULL,
FTASKNEWTPLHISID BIGINT DEFAULT 0 NOT NULL,
FTASKSTATUS VARCHAR(10) DEFAULT '1' NOT NULL,
FCALTABLESTATUS VARCHAR(10) DEFAULT '1' NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FPERIODTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYROLLGRPCHGREC') 
 CREATE TABLE T_HSAS_PAYROLLGRPCHGREC (
FID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLGRPID BIGINT DEFAULT 0 NOT NULL,
FCALTASKNEWTPLID BIGINT DEFAULT 0 NOT NULL,
FISMARKED CHAR(1) DEFAULT '0' NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLGRPVBRED DATETIME
);

 
 
