﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALSALARYBATCH') 
 CREATE TABLE T_HSAS_CALSALARYBATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FCALTASKBATCHID BIGINT DEFAULT 0 NOT NULL,
FTOTALCOUNT INT DEFAULT 0 NOT NULL,
FSUCCESSCOUNT INT DEFAULT 0 NOT NULL,
FFAILCOUNT INT DEFAULT 0 NOT NULL,
FSALARYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATIONTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALSALARYDETAIL') 
 CREATE TABLE T_HSAS_CALSALARYDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FBATCHID BIGINT DEFAULT 0 NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FCALTABLEID BIGINT DEFAULT 0 NOT NULL,
FSALARYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATIONTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALTASKSALBATCH') 
 CREATE TABLE T_HSAS_CALTASKSALBATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FTOTALCOUNT INT DEFAULT 0 NOT NULL,
FSUCCESSCOUNT INT DEFAULT 0 NOT NULL,
FFAILCOUNT INT DEFAULT 0 NOT NULL,
FSALARYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATIONTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_SALARYSLIP' AND KSQL_COL_NAME IN ('FISLASTVERSION')) 
 ALTER TABLE T_HSAS_SALARYSLIP ADD (FISLASTVERSION CHAR(1) DEFAULT ' ' NOT NULL );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALSALARYRECORD') 
 CREATE TABLE T_HSAS_CALSALARYRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FSUCCESSCOUNT INT DEFAULT 0 NOT NULL,
FFAILCOUNT INT DEFAULT 0 NOT NULL,
FTOTALCOUNT INT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSALARYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATIONTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
