IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALPLATFORMCFG') 
 CREATE TABLE T_HSAS_CALPLATFORMCFG (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(120) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFOLLOWSTATUS VARCHAR(2000) DEFAULT ' ' NOT NULL,
FMINGROWRATE BIGINT DEFAULT 0 NOT NULL,
FMAXGROWRATE BIGINT DEFAULT 0 NOT NULL,
FMINGROWAMOUNT BIGINT DEFAULT 0 NOT NULL,
FMAXGROWAMOUNT BIGINT DEFAULT 0 NOT NULL,
FMAXTOTALSALARY BIGINT DEFAULT 0 NOT NULL,
FMINTOTALSALARY BIGINT DEFAULT 0 NOT NULL,
FISNETSALARYEQZERO VARCHAR(2) DEFAULT '0' NOT NULL,
FISNETSALARYLTZERO VARCHAR(2) DEFAULT '0' NOT NULL,
FISUSERULE CHAR(1) DEFAULT '0' NOT NULL,
FPAYROLLGROUPID BIGINT DEFAULT 0 NOT NULL,
FCALRULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALPLATFORMCFG_L') 
 CREATE TABLE T_HSAS_CALPLATFORMCFG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CHECKPERSONGRPENT') 
 CREATE TABLE T_HSAS_CHECKPERSONGRPENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPERSONRULE NCLOB,
FGRPNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FGRPMINGROWRATE BIGINT DEFAULT 0 NOT NULL,
FGRPMAXGROWRATE BIGINT DEFAULT 0 NOT NULL,
FGRPMINGROWAMOUNT BIGINT DEFAULT 0 NOT NULL,
FGRPMAXGROWAMOUNT BIGINT DEFAULT 0 NOT NULL,
FGRPMINTOTALSALARY BIGINT DEFAULT 0 NOT NULL,
FGRPMAXTOTALSALARY BIGINT DEFAULT 0 NOT NULL,
FISGRPNETSALARYIEQZERO VARCHAR(2) DEFAULT '0' NOT NULL,
FISGRPNETSALARYLTZERO VARCHAR(2) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CHECKPERSONGRPENT_L') 
 CREATE TABLE T_HSAS_CHECKPERSONGRPENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FGRPNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_FOLLOWSTATUS') 
 CREATE TABLE T_HSAS_FOLLOWSTATUS (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FSTATUSCODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_FOLLOWSTATUS_L') 
 CREATE TABLE T_HSAS_FOLLOWSTATUS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_SALARYRESULT') 
 CREATE TABLE T_HSAS_SALARYRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FCALTABLEID BIGINT DEFAULT 0 NOT NULL,
FTOTALSALARY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNETSALARY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FGROWTHRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGROWTHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLGROUPID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FCALRULEID BIGINT DEFAULT 0 NOT NULL,
FCALPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FCALPERIODID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FISHASPRE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_SALARYRESULT' AND KSQL_COL_NAME ='FGROWRATESHOW') 
 ALTER TABLE T_HSAS_SALARYRESULT ADD (FGROWRATESHOW VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_SALARYRESULT' AND KSQL_COL_NAME ='FGROWAMOUNTSHOW') 
 ALTER TABLE T_HSAS_SALARYRESULT ADD (FGROWAMOUNTSHOW VARCHAR(50) DEFAULT ' ' NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALPLATFORMSCHEME') 
 CREATE TABLE T_HSAS_CALPLATFORMSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLGROUPID BIGINT DEFAULT 0 NOT NULL,
FCALRULEID BIGINT DEFAULT 0 NOT NULL,
FCALPERIODSCHEME VARCHAR(10) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_SALARYRESULT' AND KSQL_COL_NAME ='FENTERPRISEID') 
 ALTER TABLE T_HSAS_SALARYRESULT ADD (FENTERPRISEID BIGINT DEFAULT 0 NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPLATFORMSCHEME' AND KSQL_COL_NAME ='FCALPERIODTYPEID') 
 ALTER TABLE T_HSAS_CALPLATFORMSCHEME ADD (FCALPERIODTYPEID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALTABLEIMPORTLOG') 
 CREATE TABLE T_HSAS_CALTABLEIMPORTLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDATA NCLOB,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTAL INT DEFAULT 0 NOT NULL,
FFAILED INT DEFAULT 0 NOT NULL,
FIMPORTSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL
);