﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERBDENT') 
 CREATE TABLE T_HSAS_BANKOFFERBDENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPAYDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERLOG') 
 CREATE TABLE T_HSAS_BANKOFFERLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FBANKCGSETTINGID BIGINT DEFAULT 0 NOT NULL,
FBANKOFFERTPLID BIGINT DEFAULT 0 NOT NULL,
FDATAAMOUNT INT DEFAULT 0 NOT NULL,
FBANKOFFERDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKOFFERRESULT VARCHAR(255) DEFAULT ' ' NOT NULL,
FISFAILURE CHAR(1) DEFAULT '0' NOT NULL,
FFAILURETIME DATETIME,
FFAILUREREASON VARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKREPORTURL VARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKOFFERRRECID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERTPLREC') 
 CREATE TABLE T_HSAS_BANKOFFERTPLREC (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FBANKCGSETTINGID BIGINT DEFAULT 0 NOT NULL,
FBANKOFFERTPLID BIGINT DEFAULT 0 NOT NULL,
FBANKOFFERDESC VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYDETAIL_B') 
 CREATE TABLE T_HSAS_PAYDETAIL_B (
FID BIGINT DEFAULT 0 NOT NULL,
FBANKOFFERSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBANKOFFERTIMES INT DEFAULT 0 NOT NULL,
FBANKOFFERLOGID BIGINT DEFAULT 0 NOT NULL,
FBANKOFFERFAILURERES VARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYEDTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYDETAIL_L' AND KSQL_COL_NAME ='FABANDONEDRES') 
 ALTER TABLE T_HSAS_PAYDETAIL_L ADD (FABANDONEDRES NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYDETAIL' AND KSQL_COL_NAME ='FABANDONEDRES') 
 ALTER TABLE T_HSAS_PAYDETAIL ADD (FABANDONEDRES NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYDETAIL' AND KSQL_COL_NAME ='FABANDONEDSTATUS') 
 ALTER TABLE T_HSAS_PAYDETAIL ADD (FABANDONEDSTATUS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERRREC') 
 CREATE TABLE T_HSAS_BANKOFFERRREC (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FREPORTOPERATION VARCHAR(100) DEFAULT ' ' NOT NULL,
FREPORTSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);

 EXEC p_AlterColumn 'T_HSAS_BANKOFFERLOG', 'FBANKOFFERRESULT', 'NCLOB', 'NULL', '1111', 'NULL';

 EXEC p_AlterColumn 'T_HSAS_BANKOFFERLOG', 'FFAILUREREASON', 'NCLOB', 'NULL', '1111', 'NULL';

 EXEC p_AlterColumn 'T_HSAS_PAYDETAIL_B', 'FBANKOFFERFAILURERES', 'NCLOB', 'NULL', '1111', 'NULL';



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
