﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ACCUMULATOR_L') 
 CREATE TABLE T_HSAS_ACCUMULATOR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CUMULATERECORD') 
 CREATE TABLE T_HSAS_CUMULATERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FACCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CUMULATERECORDENT') 
 CREATE TABLE T_HSAS_CUMULATERECORDENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FOLDMEMBERTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FNEWMEMBERTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FOLDSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FNEWSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FOLDBIZITEMID BIGINT DEFAULT 0 NOT NULL,
FNEWBIZITEMID BIGINT DEFAULT 0 NOT NULL,
FOLDSTARTDATE DATETIME,
FNEWSTARTDATE DATETIME,
FOLDENDDATE DATETIME,
FNEWENDDATE DATETIME,
FOLDOPRATOR VARCHAR(2) DEFAULT '1' NOT NULL,
FNEWOPRATOR VARCHAR(2) DEFAULT '1' NOT NULL,
FOLDPERCENTTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FNEWPERCENTTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FOLDPERCENTFIXVAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNEWPERCENTFIXVAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUNIQUECODE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_DIMENSIONENTRY') 
 CREATE TABLE T_HSAS_DIMENSIONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMITEMTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FDIMITEMCODE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ACCUMULATOR') 
 CREATE TABLE T_HSAS_ACCUMULATOR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FAREATYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FDATATYPEID BIGINT DEFAULT 0 NOT NULL,
FDATAPRECISIONID BIGINT DEFAULT 0 NOT NULL,
FDATAROUNDID BIGINT DEFAULT 0 NOT NULL,
FUPDATESTRATEGY VARCHAR(2) DEFAULT '1' NOT NULL,
FPERIODTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTARTDATETYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTARTDATE DATETIME,
FSTARTDATEITEMCODE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTMONTH VARCHAR(2) DEFAULT '1' NOT NULL,
FSTARTDAY INT DEFAULT 0 NOT NULL,
FBSEDSTRATEGY VARCHAR(2) DEFAULT '1' NOT NULL,
FACCDIMENSION VARCHAR(2) DEFAULT '1' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CUMULATEMEMBER') 
 CREATE TABLE T_HSAS_CUMULATEMEMBER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEMBERTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FBIZITEMID BIGINT DEFAULT 0 NOT NULL,
FACCMEMSTARTDATE DATETIME,
FACCMEMENDDATE DATETIME,
FOPERATOR VARCHAR(2) DEFAULT '1' NOT NULL,
FACCPERCENTTYPE VARCHAR(2) DEFAULT '1' NOT NULL,
FPERCENTFIXVAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUNIQUECODE VARCHAR(255) DEFAULT ' ' NOT NULL
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
