﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ACCDETAILS') 
 CREATE TABLE T_HSAS_ACCDETAILS (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FACCRESULTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FUPDATESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_ACCRESULT') 
 CREATE TABLE T_HSAS_ACCRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FACCID BIGINT DEFAULT 0 NOT NULL,
FINSTANCENUM INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDIMENSIONONE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDIMENSIONTWO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDIMENSIONTHREE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDIMENSIONFOUR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDIMENSIONFIVE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRESULTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALTASKACCREL') 
 CREATE TABLE T_HSAS_CALTASKACCREL (
FID BIGINT DEFAULT 0 NOT NULL,
FACCID BIGINT DEFAULT 0 NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FACCMEMBER NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_FORMULA' AND KSQL_COL_NAME ='FDEPENDONACC') 
 ALTER TABLE T_HSAS_FORMULA ADD (FDEPENDONACC NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_ACCUMULATOR' AND KSQL_COL_NAME ='FUNIQUECODE') 
 ALTER TABLE T_HSAS_ACCUMULATOR ADD (FUNIQUECODE VARCHAR(100) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
