IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERPROTITLEHR') 
 CREATE TABLE T_HSAS_PERPROTITLEHR (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONALID BIGINT DEFAULT 0 NOT NULL,
FPROLEVELID BIGINT DEFAULT 0 NOT NULL,
FAWARDTIME DATETIME,
FISHIGH CHAR(1) DEFAULT '0' NOT NULL,
FISCOMPANY CHAR(1) DEFAULT '0' NOT NULL,
FFIRSTTIME DATETIME,
FSECONDTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FDETAILS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFICE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPROVNUM NVARCHAR(60) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PERPROTITLEHR_L') 
 CREATE TABLE T_HSAS_PERPROTITLEHR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDETAILS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFICE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPROVNUM NVARCHAR(60) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PERPROTITLEHR' AND KSQL_COL_NAME IN ('FBOID')) 
 ALTER TABLE T_HSAS_PERPROTITLEHR ADD (FBOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PERPROTITLEHR' AND KSQL_COL_NAME IN ('FISCURRENTVERSION')) 
 ALTER TABLE T_HSAS_PERPROTITLEHR ADD (FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PERPROTITLEHR' AND KSQL_COL_NAME IN ('FDATASTATUS')) 
 ALTER TABLE T_HSAS_PERPROTITLEHR ADD (FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PERPROTITLEHR' AND KSQL_COL_NAME IN ('FSOURCEVID')) 
 ALTER TABLE T_HSAS_PERPROTITLEHR ADD (FSOURCEVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PERPROTITLEHR' AND KSQL_COL_NAME IN ('FISMODIFY')) 
 ALTER TABLE T_HSAS_PERPROTITLEHR ADD (FISMODIFY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PERPROTITLEHR' AND KSQL_COL_NAME ='FCHANGEDESCRIPTION') 
 ALTER TABLE T_HSAS_PERPROTITLEHR ADD (FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PERPROTITLEHR' AND KSQL_COL_NAME ='FHISVERSION') 
 ALTER TABLE T_HSAS_PERPROTITLEHR ADD (FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL );
  


 