﻿/**Begin D:\PDM_UPGRADE\PDM1\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYROLLGRPSC')
CREATE TABLE T_HSAS_PAYROLLGRPSC (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYROLLSCENEID BIGINT DEFAULT 0 NOT NULL,
FCALLISTVIEWID BIGINT DEFAULT 0 NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYROLLGRP' AND KSQL_COL_NAME ='FEXRATETABLEID')
ALTER TABLE T_HSAS_PAYROLLGRP ADD (FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYROLLGRP' AND KSQL_COL_NAME ='FCURRENCYID')
ALTER TABLE T_HSAS_PAYROLLGRP ADD (FCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK_A' AND KSQL_COL_NAME ='FISAUTOADDPERSON')
ALTER TABLE T_HSAS_CALPAYROLLTASK_A ADD (FISAUTOADDPERSON CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK' AND KSQL_COL_NAME ='FTASKTYPE')
ALTER TABLE T_HSAS_CALPAYROLLTASK ADD (FTASKTYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK' AND KSQL_COL_NAME ='FISUSEORGPERMISSION')
ALTER TABLE T_HSAS_CALPAYROLLTASK ADD (FISUSEORGPERMISSION CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK' AND KSQL_COL_NAME ='FPAYROLLSCENEID')
ALTER TABLE T_HSAS_CALPAYROLLTASK ADD (FPAYROLLSCENEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK' AND KSQL_COL_NAME ='FPAYROLLSCENEVID')
ALTER TABLE T_HSAS_CALPAYROLLTASK ADD (FPAYROLLSCENEVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_CALPAYROLLTASK' AND KSQL_COL_NAME ='FCALLISTVIEWVID')
ALTER TABLE T_HSAS_CALPAYROLLTASK ADD (FCALLISTVIEWVID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\HSAS_table.sql **/
