﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PEREDUEXP')
 CREATE TABLE T_HSAS_PEREDUEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FDEGREEID BIGINT DEFAULT 0 NOT NULL,
FGRADUATESCHOOL BIGINT DEFAULT 0 NOT NULL,
FCOLLEGECOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FADMISSIONDATE DATETIME,
FGRADUTIONDATE DATETIME,
FMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSECONDMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAWARDEDDATE DATETIME,
FISHIGHESTDEGREE CHAR(1) DEFAULT '0' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FISFULLTIME CHAR(1) DEFAULT '0' NOT NULL,
FSCHOOLSYSTEM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEDUNATUREID BIGINT DEFAULT 0 NOT NULL,
FAUTHEDEGREEID BIGINT DEFAULT 0 NOT NULL,
FSCHOOLRECORD NVARCHAR(300) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FISOVERSEAS CHAR(1) DEFAULT '0' NOT NULL,
FCOLLEGEDEPARTMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PEREDUEXP_L')
 CREATE TABLE T_HSAS_PEREDUEXP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSECONDMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSCHOOLRECORD NVARCHAR(300) DEFAULT ' ' NOT NULL,
FCOLLEGEDEPARTMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
