﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CHECKITEMENTRY')
 CREATE TABLE T_HSAS_CHECKITEMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FITEMTYPE VARCHAR(60) DEFAULT ' ' NOT NULL,
FITEMNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FITEMNAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FWORKBENCHSHOW CHAR(1) DEFAULT '0' NOT NULL,
FVALUEEQUALS VARCHAR(60) DEFAULT ' ' NOT NULL,
FVALUELESS VARCHAR(60) DEFAULT ' ' NOT NULL,
FVALUEBIGGER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCHAININCREASEBIGGER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCHAININCREASELESS VARCHAR(60) DEFAULT ' ' NOT NULL,
FCHAINGROWTHBIGGER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCHAINGROWTHLESS VARCHAR(60) DEFAULT ' ' NOT NULL,
FYEARINCREASEBIGGER VARCHAR(60) DEFAULT ' ' NOT NULL,
FYEARINCREASELESS VARCHAR(60) DEFAULT ' ' NOT NULL,
FYEARGROWTHBIGGER VARCHAR(60) DEFAULT ' ' NOT NULL,
FYEARGROWTHLESS VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CHECKRETSTATS') 
 CREATE TABLE T_HSAS_CHECKRETSTATS (
FID BIGINT DEFAULT 0 NOT NULL,
FCHECKSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_RETCHECKSCHEME')
 CREATE TABLE T_HSAS_RETCHECKSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(120) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLGROUPID BIGINT DEFAULT 0 NOT NULL,
FCHANGESTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPAYROLLSCENEID BIGINT DEFAULT 0 NOT NULL,
FCHAININCREASE CHAR(1) DEFAULT '0' NOT NULL,
FCHAINGROWTH CHAR(1) DEFAULT '0' NOT NULL,
FYEARINCREASE CHAR(1) DEFAULT '0' NOT NULL,
FYEARGROWTH CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_RETCHECKSCHEME_L') 
 CREATE TABLE T_HSAS_RETCHECKSCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_SALARYCHECKMARK')
 CREATE TABLE T_HSAS_SALARYCHECKMARK (
FID BIGINT DEFAULT 0 NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FMARKID BIGINT DEFAULT 0 NOT NULL,
FCHECKTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSALARYRETMARKIDS NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
