﻿


 EXEC P_ALTERPK 'PK_HSAS_CALTABLEENTRY', 'T_HSAS_CALTABLEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_CALTABLEENTRY') CREATE INDEX IDX_HSAS_CALTABLEENTRY ON T_HSAS_CALTABLEENTRY ( FID ,FSALARYITEMID );


 EXEC P_ALTERPK 'PK_HSAS_CALTABLE', 'T_HSAS_CALTABLE', 'FID', '1';


 EXEC P_ALTERPK 'PK_HSAS_DISPLAYSETTING', 'T_HSAS_DISPLAYSETTING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_DISPLAYSETTING') CREATE INDEX IDX_HSAS_DISPLAYSETTING ON T_HSAS_DISPLAYSETTING ( FCALTASKID ,FOPERATEUSERID );


 EXEC P_ALTERPK 'PK_HSAS_SERIALNUMBER_L', 'T_HSAS_SERIALNUMBER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_SERIALNUMBER_L') CREATE INDEX IDX_HSAS_SERIALNUMBER_L ON T_HSAS_SERIALNUMBER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_CALPAYROLLTASK', 'T_HSAS_CALPAYROLLTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_CALPAYROLLTASK') CREATE INDEX IDX_HSAS_CALPAYROLLTASK ON T_HSAS_CALPAYROLLTASK ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_CALPAYROLLTASK_L', 'T_HSAS_CALPAYROLLTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_CALPAYROLLTASK_L') CREATE INDEX IDX_HSAS_CALPAYROLLTASK_L ON T_HSAS_CALPAYROLLTASK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_SERIALNUMBER', 'T_HSAS_SERIALNUMBER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_SERIALNUMBER') CREATE INDEX IDX_HSAS_SERIALNUMBER ON T_HSAS_SERIALNUMBER ( FNUMBER );
 
 EXEC P_ALTERPK 'PK_HSAS_PAYSETTING', 'T_HSAS_PAYSETTING', 'FID', '1';


 EXEC P_ALTERPK 'PK_HSAS_PAYSETTING_L', 'T_HSAS_PAYSETTING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSETTING_L') CREATE INDEX IDX_HSAS_PAYSETTING_L ON T_HSAS_PAYSETTING_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSETTINGENT', 'T_HSAS_PAYSETTINGENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSETTINGENT') CREATE INDEX IDX_HSAS_PAYSETTINGENT ON T_HSAS_PAYSETTINGENT ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSETTINGENT_L', 'T_HSAS_PAYSETTINGENT_L', 'FPKID,FLOCALEID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSETTINGENT_L') CREATE INDEX IDX_HSAS_PAYSETTINGENT_L ON T_HSAS_PAYSETTINGENT_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_REGULARITEM', 'T_HSAS_REGULARITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_REGULARITEM') CREATE INDEX IDX_HSAS_REGULARITEM ON T_HSAS_REGULARITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_REGULARITEM_L', 'T_HSAS_REGULARITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_REGULARITEM_L') CREATE INDEX IDX_HSAS_REGULARITEM_L ON T_HSAS_REGULARITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_SALARYFILE', 'T_HSAS_SALARYFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_SALARYFILE') CREATE INDEX IDX_HSAS_SALARYFILE ON T_HSAS_SALARYFILE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_SALARYFILE_L', 'T_HSAS_SALARYFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_SALARYFILE_L') CREATE INDEX IDX_HSAS_SALARYFILE_L ON T_HSAS_SALARYFILE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_SALARYSTRU', 'T_HSAS_SALARYSTRU', 'FID', '1';


 EXEC P_ALTERPK 'PK_HSAS_SALARYSTRU_L', 'T_HSAS_SALARYSTRU_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_SALARYSTRU_L') CREATE INDEX IDX_HSAS_SALARYSTRU_L ON T_HSAS_SALARYSTRU_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_constraint.sql **/
