﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALBATCH') 
 CREATE TABLE T_HSAS_CALBATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FCALSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FTOTALCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALDETAIL') 
 CREATE TABLE T_HSAS_CALDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FBATCHID BIGINT DEFAULT 0 NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FCALSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFAILTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALOPERATION') 
 CREATE TABLE T_HSAS_CALOPERATION (
FID BIGINT DEFAULT 0 NOT NULL,
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FBATCHID BIGINT DEFAULT 0 NOT NULL,
FOPTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALOPERATION_L') 
 CREATE TABLE T_HSAS_CALOPERATION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_CALRECORD') 
 CREATE TABLE T_HSAS_CALRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCALTASKID BIGINT DEFAULT 0 NOT NULL,
FSUCESSCOUNT INT DEFAULT 0 NOT NULL,
FFAILCOUNT INT DEFAULT 0 NOT NULL,
FCANCELCOUNT INT DEFAULT 0 NOT NULL,
FTOTALCOUNT INT DEFAULT 0 NOT NULL,
FSALARYITEMCOUNT INT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCALSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FREPORTNUM VARCHAR(14) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
