﻿/**Begin D:\PDM_UPGRADE\PDM1\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERDENT') 
 CREATE TABLE T_HSAS_BANKOFFERDENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FFIELDVALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDSELECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDLENGTH INT DEFAULT 0 NOT NULL,
FFIXWAY VARCHAR(2) DEFAULT ' ' NOT NULL,
FFIXCONTENT VARCHAR(100) DEFAULT ' ' NOT NULL,
FISSHOWTHOUSANDTH CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERETENT') 
 CREATE TABLE T_HSAS_BANKOFFERETENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHEADROW VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEMPTY CHAR(1) DEFAULT '0' NOT NULL,
FHEADCONTENT VARCHAR(100) DEFAULT ' ' NOT NULL,
FSELECTFIELD VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERHCENT') 
 CREATE TABLE T_HSAS_BANKOFFERHCENT (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHEADTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSUBHEADCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FSELECTFIELD VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDSHOWTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FALIGNMENT VARCHAR(2) DEFAULT ' ' NOT NULL,
FCOLLOCATION VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERTPL') 
 CREATE TABLE T_HSAS_BANKOFFERTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOUNTRYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FBANKTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FBANKCGSETTINGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFILETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSHOWSEQ CHAR(1) DEFAULT '0' NOT NULL,
FFILENAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FLIMITCONTENT VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSHOWHEAD CHAR(1) DEFAULT '0' NOT NULL,
FLIMITLINE INT DEFAULT 0 NOT NULL,
FLIMITSIZE INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERTPL_L') 
 CREATE TABLE T_HSAS_BANKOFFERTPL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_BANKOFFERTPL_A') 
 CREATE TABLE T_HSAS_BANKOFFERTPL_A (
FID BIGINT DEFAULT 0 NOT NULL,
FTXTHEAD NCLOB,
FSEPARATEWAYS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSEPARATOR VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIXLENGTH INT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HSAS_table.sql **/
