﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HSAS_PAYSCHEDULE', 'T_HSAS_PAYSCHEDULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHEDULE') CREATE INDEX IDX_HSAS_PAYSCHEDULE ON T_HSAS_PAYSCHEDULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHEDULE_L', 'T_HSAS_PAYSCHEDULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHEDULE_L') CREATE INDEX IDX_HSAS_PAYSCHEDULE_L ON T_HSAS_PAYSCHEDULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHEDULETPL', 'T_HSAS_PAYSCHEDULETPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHEDULETPL') CREATE INDEX IDX_HSAS_PAYSCHEDULETPL ON T_HSAS_PAYSCHEDULETPL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHEDULETPL_L', 'T_HSAS_PAYSCHEDULETPL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHEDULETPL_L') CREATE INDEX IDX_HSAS_PAYSCHEDULETPL_L ON T_HSAS_PAYSCHEDULETPL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHTPLENTRY_L', 'T_HSAS_PAYSCHTPLENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHTPLENTRY_L') CREATE INDEX IDX_HSAS_PAYSCHTPLENTRY_L ON T_HSAS_PAYSCHTPLENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHMSGCFGENTRY', 'T_HSAS_PAYSCHMSGCFGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHMSGCFGENTRY') CREATE INDEX IDX_HSAS_PAYSCHMSGCFGENTRY ON T_HSAS_PAYSCHMSGCFGENTRY ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHMSGRECEIVER', 'T_HSAS_PAYSCHMSGRECEIVER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHMSGRECEIVER') CREATE INDEX IDX_HSAS_PAYSCHMSGRECEIVER ON T_HSAS_PAYSCHMSGRECEIVER ( FENTRYID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHPREACT', 'T_HSAS_PAYSCHPREACT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHPREACT') CREATE INDEX IDX_HSAS_PAYSCHPREACT ON T_HSAS_PAYSCHPREACT ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHTPLDETAIL', 'T_HSAS_PAYSCHTPLDETAIL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHTPLDETAIL') CREATE INDEX IDX_HSAS_PAYSCHTPLDETAIL ON T_HSAS_PAYSCHTPLDETAIL ( FENTRYID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHTPLENTRY', 'T_HSAS_PAYSCHTPLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHTPLENTRY') CREATE INDEX IDX_HSAS_PAYSCHTPLENTRY ON T_HSAS_PAYSCHTPLENTRY ( FID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHTPLLOG', 'T_HSAS_PAYSCHTPLLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHTPLLOG') CREATE INDEX IDX_HSAS_PAYSCHTPLLOG ON T_HSAS_PAYSCHTPLLOG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHTPLPREACT', 'T_HSAS_PAYSCHTPLPREACT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHTPLPREACT') CREATE INDEX IDX_HSAS_PAYSCHTPLPREACT ON T_HSAS_PAYSCHTPLPREACT ( FENTRYID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHTPLRECEIVER', 'T_HSAS_PAYSCHTPLRECEIVER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHTPLRECEIVER') CREATE INDEX IDX_HSAS_PAYSCHTPLRECEIVER ON T_HSAS_PAYSCHTPLRECEIVER ( FDETAILID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHTPLTRACKER', 'T_HSAS_PAYSCHTPLTRACKER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHTPLTRACKER') CREATE INDEX IDX_HSAS_PAYSCHTPLTRACKER ON T_HSAS_PAYSCHTPLTRACKER ( FENTRYID );


 EXEC P_ALTERPK 'PK_HSAS_PAYSCHTRACKER', 'T_HSAS_PAYSCHTRACKER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HSAS_PAYSCHTRACKER') CREATE INDEX IDX_HSAS_PAYSCHTRACKER ON T_HSAS_PAYSCHTRACKER ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_constraint.sql **/
