﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHEDULE') 
 CREATE TABLE T_HSAS_PAYSCHEDULE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLGRPID BIGINT DEFAULT 0 NOT NULL,
FCALPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FCALPERIODID BIGINT DEFAULT 0 NOT NULL,
FCALFREQUENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYBIZPROCID BIGINT DEFAULT 0 NOT NULL,
FCALRULEID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYBIZACTIONID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYSCHEDULE' AND KSQL_COL_NAME ='FPAYROLLGRPVID') 
 ALTER TABLE T_HSAS_PAYSCHEDULE ADD (FPAYROLLGRPVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYSCHEDULE' AND KSQL_COL_NAME ='FPAYSCHTPLID') 
 ALTER TABLE T_HSAS_PAYSCHEDULE ADD (FPAYSCHTPLID BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHEDULE_L') 
 CREATE TABLE T_HSAS_PAYSCHEDULE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHEDULETPL') 
 CREATE TABLE T_HSAS_PAYSCHEDULETPL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FGENERALENNAME VARCHAR(120) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FPAYROLLGRPID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLGRPVID BIGINT DEFAULT 0 NOT NULL,
FCALRULEID BIGINT DEFAULT 0 NOT NULL,
FCALPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FCALFREQUENCYID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYBIZACTIONID BIGINT DEFAULT 0 NOT NULL,
FACTDATEBOUNDARY VARCHAR(2) DEFAULT ' ' NOT NULL,
FACTDATETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPERIODDATEBOUNDARY VARCHAR(2) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(2) DEFAULT ' ' NOT NULL,
FOPRATIONDAYS INT DEFAULT 0 NOT NULL,
FISWORKDAY CHAR(1) DEFAULT '0' NOT NULL,
FSELWORKDAY VARCHAR(2) DEFAULT ' ' NOT NULL,
FEVERYMONTHDAY INT DEFAULT 0 NOT NULL,
FPAYBIZPROCID BIGINT DEFAULT 0 NOT NULL,
FSELPERIOD VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHEDULETPL_L') 
 CREATE TABLE T_HSAS_PAYSCHEDULETPL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHTPLENTRY_L') 
 CREATE TABLE T_HSAS_PAYSCHTPLENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPAYBIZACTIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHMSGCFGENTRY') 
 CREATE TABLE T_HSAS_PAYSCHMSGCFGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISENABLE CHAR(1) DEFAULT '0' NOT NULL,
FMSGTPLID BIGINT DEFAULT 0 NOT NULL,
FMSGPUSHSTEP VARCHAR(2) DEFAULT ' ' NOT NULL,
FMSGPUSHNUM INT DEFAULT 0 NOT NULL,
FMSGPUSHDAYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHMSGRECEIVER') 
 CREATE TABLE T_HSAS_PAYSCHMSGRECEIVER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHPREACT') 
 CREATE TABLE T_HSAS_PAYSCHPREACT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHTPLDETAIL') 
 CREATE TABLE T_HSAS_PAYSCHTPLDETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISENABLE CHAR(1) DEFAULT '0' NOT NULL,
FMSGTPLID BIGINT DEFAULT 0 NOT NULL,
FMSGPUSHSTEP VARCHAR(2) DEFAULT ' ' NOT NULL,
FMSGPUSHNUM INT DEFAULT 0 NOT NULL,
FMSGPUSHDAYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHTPLENTRY') 
 CREATE TABLE T_HSAS_PAYSCHTPLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYBIZACTIONID BIGINT DEFAULT 0 NOT NULL,
FACTDAYNUM INT DEFAULT 0 NOT NULL,
FACTDAYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPAYBIZACTIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHTPLLOG') 
 CREATE TABLE T_HSAS_PAYSCHTPLLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FPERIODNUM INT DEFAULT 0 NOT NULL,
FPAYSCHTPLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHTPLPREACT') 
 CREATE TABLE T_HSAS_PAYSCHTPLPREACT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHTPLRECEIVER') 
 CREATE TABLE T_HSAS_PAYSCHTPLRECEIVER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHTPLTRACKER') 
 CREATE TABLE T_HSAS_PAYSCHTPLTRACKER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSCHTRACKER') 
 CREATE TABLE T_HSAS_PAYSCHTRACKER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
