/* 删除之前的编码规则 */
-- 银行卡
DELETE FROM T_CR_CODERULE WHERE FID = '28II5=2MJONI';
DELETE FROM T_CR_CODERULE_L WHERE FID = '28II5=2MJONI';
DELETE FROM T_CR_CODERULEENTRY WHERE FID = '28II5=2MJONI';

-- 薪资审批单
DELETE FROM T_CR_CODERULE WHERE FID = '0TSNV1+X62YO';
DELETE FROM T_CR_CODERULE_L WHERE FID = '0TSNV1+X62YO';
DELETE FROM T_CR_CODERULEENTRY WHERE FID = '0TSNV1+X62YO';

-- 薪资审批单预览
DELETE FROM T_CR_CODERULE WHERE FID = '0Y+5Z8LH/481';
DELETE FROM T_CR_CODERULE_L WHERE FID = '0Y+5Z8LH/481';
DELETE FROM T_CR_CODERULEENTRY WHERE FID = '0Y+5Z8LH/481';

-- 薪资代发单
DELETE FROM T_CR_CODERULE WHERE FID = '0R06412S=8RJ';
DELETE FROM T_CR_CODERULE_L WHERE FID = '0R06412S=8RJ';
DELETE FROM T_CR_CODERULEENTRY WHERE FID = '0R06412S=8RJ';

-- 银行报盘日志管理
DELETE FROM T_CR_CODERULE WHERE FID = '1N3KDAG84NT5';
DELETE FROM T_CR_CODERULE_L WHERE FID = '1N3KDAG84NT5';
DELETE FROM T_CR_CODERULEENTRY WHERE FID = '1N3KDAG84NT5';

-- 银行账户变更单
DELETE FROM T_CR_CODERULE WHERE FID = '1TT/V+N8FCSJ';
DELETE FROM T_CR_CODERULE_L WHERE FID = '1TT/V+N8FCSJ';
DELETE FROM T_CR_CODERULEENTRY WHERE FID = '1TT/V+N8FCSJ';


/* 新增的编码规则 */

-- 银行卡
DELETE FROM T_CR_CODERULE WHERE FID = '2FTCIRU=KSAH';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FRULETYPE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FDISABLERID,FISCHECKCODE,FID,FSPLITSIGN,FCTRLMODE,FDISABLEDATE,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','2FTCIRU=KSAH','0',NULL,'0',{ts'2022-05-18  00:00:00'},'hrpi_perbankcard','1','0','0','1',NULL,'0','2FTCIRU=KSAH','-','1',NULL,'0','C','2FTCEXDK0XZI',' ','0',1155581942205317120,'0',{ts'2022-05-18  00:00:00'},0);

DELETE FROM T_CR_CODERULE_L WHERE FPKID = '2FTCIRU=KQ=R';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2FTCIRU=KSAH','2FTCIRU=KQ=R','zh_CN','银行卡_唯一标识');
DELETE FROM T_CR_CODERULE_L WHERE FPKID = '2FTCIRU=KQ=Q';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2FTCIRU=KSAH','2FTCIRU=KQ=Q','zh_TW','銀行卡_唯一標識');

DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTCKQB8E/S6';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('2FTCIRU=KSAH',1,'1',' ','0','2FTCKQB8E/S6',1,'1','1',0,8,'1','BC',' ','1',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTCKQB8E/S7';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('2FTCIRU=KSAH',1,'16','-','0','2FTCKQB8E/S7',1,'1',' ',1,6,'1',' ',' ','1',' ','1',' ');

-- 薪资审批单
DELETE FROM T_CR_CODERULE WHERE FID = '2FTFZDV8WQYM';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FRULETYPE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FDISABLERID,FISCHECKCODE,FID,FSPLITSIGN,FCTRLMODE,FDISABLEDATE,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','0','0','2FTFZDV8WQYM','0',NULL,'0',{ts'2022-05-18  00:00:00'},'hsas_approvebill','1','0','0','1',NULL,'0','2FTFZDV8WQYM','-','1',NULL,'0','C','2FTD6OUREFPQ',' ','0',1155581942205317120,'0',{ts'2022-05-18  00:00:00'},0);

DELETE FROM T_CR_CODERULE_L WHERE FPKID = '2FTFZDV8WOXW';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2FTFZDV8WQYM','2FTFZDV8WOXW','zh_CN','薪资审批单_单据编号');
DELETE FROM T_CR_CODERULE_L WHERE FPKID = '2FTFZDV8WOXV';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2FTFZDV8WQYM','2FTFZDV8WOXV','zh_TW','薪資審批單_單據編號');


DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTFZDW+X1GQ';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('2FTFZDV8WQYM',1,'1',' ','0','2FTFZDW+X1GQ',1,'1','1',0,8,'1','XZ',' ','1',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTFZDW+X1GR';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('2FTFZDV8WQYM',1,'2','-','1','2FTFZDW+X1GR',1,'1',' ',1,8,'1','yyyyMMdd',' ','1','createtime','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTFZDW+X1GS';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('2FTFZDV8WQYM',1,'16','-','0','2FTFZDW+X1GS',1,'1',' ',2,5,'1',' ',' ','1',' ','1',' ');

-- 审批单预览
DELETE FROM T_CR_CODERULE WHERE FID = '0Y+5Z8LH/481';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FRULETYPE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FDISABLERID,FISCHECKCODE,FID,FSPLITSIGN,FCTRLMODE,FDISABLEDATE,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','0','0','0Y+5Z8LH/481','0',NULL,'0',{ts'2020-07-15  00:00:00'},'hsas_approvebillpreview','1','0','0','0',NULL,'0','0Y+5Z8LH/481','-','1',NULL,'0','C','2FTD6OUREFQP',' ','0',1155581942205317120,'0',{ts'2022-05-18  00:00:00'},1);

DELETE FROM T_CR_CODERULE_L WHERE FPKID = '0Y+5Z8MWDE4J';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('0Y+5Z8LH/481','0Y+5Z8MWDE4J','zh_CN','薪资审批单预览_单据编号');
DELETE FROM T_CR_CODERULE_L WHERE FPKID = '0Y+5Z8MWDE4I';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('0Y+5Z8LH/481','0Y+5Z8MWDE4I','zh_TW','薪資審批單預覽_單據編號');

DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTGGQFAT8//';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('0Y+5Z8LH/481',1,'1',' ','0','2FTGGQFAT8//',1,'1',' ',0,8,'1','XZ',' ','1',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTGGQFAT8/0';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('0Y+5Z8LH/481',1,'2','-','1','2FTGGQFAT8/0',1,'1','1',1,8,'1','yyyyMMdd',' ','1','createtime','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTGGQFAT8/1';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('0Y+5Z8LH/481',1,'16','-','0','2FTGGQFAT8/1',1,'1','1',2,5,'1',' ',' ','1',' ','1',' ');

-- 薪资代发单
DELETE FROM T_CR_CODERULE WHERE FID = '0R06412S=8RJ';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FRULETYPE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FDISABLERID,FISCHECKCODE,FID,FSPLITSIGN,FCTRLMODE,FDISABLEDATE,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','0','0','0R06412S=8RJ','0',NULL,'0',{ts'2020-04-28  00:00:00'},'hsas_agencypaybill','1','0','0','0',NULL,'0','0R06412S=8RJ','-','1',NULL,'0','C','0R06412S=8JR',' ','0',1155581942205317120,'0',{ts'2022-05-18  00:00:00'},853533282208363520);


DELETE FROM T_CR_CODERULE_L WHERE FPKID = '0R06412S==SB';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('0R06412S=8RJ','0R06412S==SB','zh_CN','薪资代发单_单据编号');
DELETE FROM T_CR_CODERULE_L WHERE FPKID = '0R06412S==SA';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('0R06412S=8RJ','0R06412S==SA','zh_TW','薪資代發單_單據編號');

DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTGT+8W+T4=';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('0R06412S=8RJ',1,'1',' ','0','2FTGT+8W+T4=',1,'1',' ',0,8,'1','DF',' ','1',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTGT+8W+T4A';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('0R06412S=8RJ',1,'2','-','1','2FTGT+8W+T4A',1,'1','1',1,8,'1','yyyyMMdd',' ','1','summarycreatetime','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTGT+8W+T4B';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('0R06412S=8RJ',1,'16','-','0','2FTGT+8W+T4B',1,'1','1',2,5,'1',' ',' ','1',' ','1',' ');

--银行报盘日志管理
DELETE FROM T_CR_CODERULE WHERE FID = '1N3KDAG84NT5';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FRULETYPE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FDISABLERID,FISCHECKCODE,FID,FSPLITSIGN,FCTRLMODE,FDISABLEDATE,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','1N3KDAG84NT5','0',NULL,'0',{ts'2021-05-27  00:00:00'},'hsas_bankreportlog','1','0','0','1',NULL,'0','1N3KDAG84NT5','-','1',NULL,'0','C','1N3K4T30792F',' ','0',1155581942205317120,'0',{ts'2022-05-18  00:00:00'},0);

DELETE FROM T_CR_CODERULE_L WHERE FPKID = '1N3KDAG84D01';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1N3KDAG84NT5','1N3KDAG84D01','zh_CN','银行报盘日志管理_报盘文件编号');
DELETE FROM T_CR_CODERULE_L WHERE FPKID = '2FTHB39XR1=Q';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1N3KDAG84NT5','2FTHB39XR1=Q','zh_TW','銀行報盤日誌管理_報盤文件編號');

DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTHB3=NREVL';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('1N3KDAG84NT5',1,'1',' ','0','2FTHB3=NREVL',1,'1','1',0,8,'1','BANK',' ','1',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTHB3=NREVM';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('1N3KDAG84NT5',1,'9','-','1','2FTHB3=NREVM',1,'1',' ',1,8,'1','yyyyMMdd',' ','1',' ','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTHB3=NREVN';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('1N3KDAG84NT5',1,'16','-','0','2FTHB3=NREVN',1,'1',' ',2,3,'1',' ',' ','1',' ','1',' ');

-- 银行账户变更单
DELETE FROM T_CR_CODERULE WHERE FID = '1TT/V+N8FCSJ';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FRULETYPE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FDISABLERID,FISCHECKCODE,FID,FSPLITSIGN,FCTRLMODE,FDISABLEDATE,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','1TT/V+N8FCSJ','0',NULL,'0',{ts'2021-08-10  00:00:00'},'hsas_acctmodifybill','1','0','0','1',NULL,'0','1TT/V+N8FCSJ','-','1',NULL,'0','C','1TT/N+7GMCPD',' ','0',1155581942205317120,'0',{ts'2022-05-18  00:00:00'},1155581942205317120);

DELETE FROM T_CR_CODERULE_L WHERE FPKID = '1TT/V+N8FFGK';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1TT/V+N8FCSJ','1TT/V+N8FFGK','zh_CN','银行账户变更单_变更单编号');
DELETE FROM T_CR_CODERULE_L WHERE FPKID = '2FTHINOE9KZY';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1TT/V+N8FCSJ','2FTHINOE9KZY','zh_TW','銀行賬戶變更單_變更單編號');

DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTHINPBISXU';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('1TT/V+N8FCSJ',1,'1',' ','0','2FTHINPBISXU',1,'1','1',0,8,'1','BC',' ','1',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTHINPBISXV';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('1TT/V+N8FCSJ',1,'9','-','0','2FTHINPBISXV',1,'1',' ',1,8,'1','yyyyMMdd',' ','1',' ','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2FTHINPBISXW';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('1TT/V+N8FCSJ',1,'16','-','0','2FTHINPBISXW',1,'1',' ',2,5,'1',' ',' ','1',' ','1',' ');
