-- 增加个税社保档案的跨云协作预置数据，包括协作规则模板、协作活动、协作操作等
--  协作规则模板
DELETE FROM t_hsas_payrollactgtpl WHERE FID = 1569658162221511680;
INSERT INTO t_hsas_payrollactgtpl(FID,FALIAS,FISSYSPRESET,FDISABLEDATE,FSIMPLENAME,FDESCRIPTION,FMASTERID,FSTATUS,FNUMBER,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FBIZAPPID,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1569658162221511680,'中国个税协作模板','1',NULL,' ','用于员工发生入职、转正、调动、外派、兼职、离职后，需要维护中国个税档案等协作场景',1569658162221511680,'C','1020_S','中国个税协作模板',0,{ts'2022-12-06  00:00:00'},1150721201652407296,'1','17/+CT1QBPNP',{ts'2022-12-06  00:00:00'},1150721201652407296,0); 
DELETE FROM t_hsas_payrollactgtpl WHERE FID = 1569658483018685440;
INSERT INTO t_hsas_payrollactgtpl(FID,FALIAS,FISSYSPRESET,FDISABLEDATE,FSIMPLENAME,FDESCRIPTION,FMASTERID,FSTATUS,FNUMBER,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FBIZAPPID,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1569658483018685440,'中国社保协作模板','1',NULL,' ','用于员工发生入职、转正、调动、外派、兼职、离职后，需要维护人员社保档案等协作场景',1569658483018685440,'C','1030_S','中国社保协作模板',0,{ts'2022-12-06  00:00:00'},1150721201652407296,'1','2AXKDRPJUQ77',{ts'2022-12-06  00:00:00'},1150721201652407296,0); 

DELETE FROM t_hsas_payrollactgtpl_l WHERE FPKID = '2XT1W5PNXVEB';
INSERT INTO t_hsas_payrollactgtpl_l(FID,FALIAS,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1569658162221511680,'中国个税协作模板','2XT1W5PNXVEB','zh_CN',' ','用于员工发生入职、转正、调动、外派、兼职、离职后，需要维护中国个税档案等协作场景','中国个税协作模板'); 
DELETE FROM t_hsas_payrollactgtpl_l WHERE FPKID = '2XT1YHVYP24E';
INSERT INTO t_hsas_payrollactgtpl_l(FID,FALIAS,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1569658483018685440,'中国社保协作模板','2XT1YHVYP24E','zh_CN',' ','用于员工发生入职、转正、调动、外派、兼职、离职后，需要维护人员社保档案等协作场景','中国社保协作模板'); 

DELETE FROM t_hsas_payrollactgtplent WHERE FENTRYID = 1569658162246677504;
INSERT INTO t_hsas_payrollactgtplent(FID,FISMUSTEXECUTE,FENTRYID,FSEQ,FEXECUTESEQ,FPAYROLLACTID) VALUES (1569658162221511680,'1',1569658162246677504,1,1,1569657100433480704); 
DELETE FROM t_hsas_payrollactgtplent WHERE FENTRYID = 1569658483018685441;
INSERT INTO t_hsas_payrollactgtplent(FID,FISMUSTEXECUTE,FENTRYID,FSEQ,FEXECUTESEQ,FPAYROLLACTID) VALUES (1569658483018685440,'1',1569658483018685441,1,1,1569657415190803456); 

-- 协作活动
DELETE FROM t_hsas_payrollact WHERE FID = 1569657100433480704;
INSERT INTO t_hsas_payrollact(FID,FALIAS,FISSYSPRESET,FDISABLEDATE,FSIMPLENAME,FDESCRIPTION,FMASTERID,FSTATUS,FNUMBER,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FPREPAYROLLACTID,FBIZAPPID,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1569657100433480704,'新增/变更中国个税档案','1',NULL,' ',' ',1569657100433480704,'C','1060_S','新增/变更中国个税档案',0,{ts'2022-12-06  00:00:00'},1150721201652407296,'1',0,'17/+CT1QBPNP',{ts'2022-12-06  00:00:00'},1150721201652407296,0); 
DELETE FROM t_hsas_payrollact WHERE FID = 1569657415190803456;
INSERT INTO t_hsas_payrollact(FID,FALIAS,FISSYSPRESET,FDISABLEDATE,FSIMPLENAME,FDESCRIPTION,FMASTERID,FSTATUS,FNUMBER,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FPREPAYROLLACTID,FBIZAPPID,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1569657415190803456,'新增/变更中国社保档案','1',NULL,' ',' ',1569657415190803456,'C','1070_S','新增/变更中国社保档案',0,{ts'2022-12-06  00:00:00'},1150721201652407296,'1',0,'2AXKDRPJUQ77',{ts'2022-12-06  00:00:00'},1150721201652407296,0); 

DELETE FROM t_hsas_payrollact_l WHERE FPKID = '2XT1OEZ8FKRX';
INSERT INTO t_hsas_payrollact_l(FID,FALIAS,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1569657100433480704,'新增/变更中国个税档案','2XT1OEZ8FKRX','zh_CN',' ',' ','新增/变更中国个税档案'); 
DELETE FROM t_hsas_payrollact_l WHERE FPKID = '2XT1QQDO46+L';
INSERT INTO t_hsas_payrollact_l(FID,FALIAS,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1569657415190803456,'新增/变更中国社保档案','2XT1QQDO46+L','zh_CN',' ',' ','新增/变更中国社保档案'); 

DELETE FROM t_hsas_payrollactent WHERE FENTRYID = 1569657100450257920;
INSERT INTO t_hsas_payrollactent(FID,FENTRYID,FSEQ,FTRIGGERCOLLAID,FEXECUTESEQ) VALUES (1569657100433480704,1569657100450257920,1,1569649316157578240,0); 
DELETE FROM t_hsas_payrollactent WHERE FENTRYID = 1569657100450257921;
INSERT INTO t_hsas_payrollactent(FID,FENTRYID,FSEQ,FTRIGGERCOLLAID,FEXECUTESEQ) VALUES (1569657100433480704,1569657100450257921,2,1569649870065753088,0); 
DELETE FROM t_hsas_payrollactent WHERE FENTRYID = 1569657415190803457;
INSERT INTO t_hsas_payrollactent(FID,FENTRYID,FSEQ,FTRIGGERCOLLAID,FEXECUTESEQ) VALUES (1569657415190803456,1569657415190803457,1,1569652363361350656,0); 

-- 协作操作，无执行参数

DELETE FROM t_hsas_triggercolla WHERE FID = 1569649316157578240;
INSERT INTO t_hsas_triggercolla(FID,FALIAS,FENTITYOBJECTID,FISSYSPRESET,FOPERATIONTYPEID,FDISABLEDATE,FSIMPLENAME,FDESCRIPTION,FMASTERID,FOPERATIONCLSID,FSTATUS,FNUMBER,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FBIZAPPID,FMODIFYTIME,FISMUSTFIELDMAPPING,FCREATORID,FDISABLERID) VALUES (1569649316157578240,'新增/变更中国个税档案','itc_taxfile','1',1569645576776152064,NULL,' ',' ',1569649316157578240,1569644752024990720,'C','1180_S','新增/变更中国个税档案',0,{ts'2022-12-06  00:00:00'},1150721201652407296,'1','17/+CT1QBPNP',{ts'2022-12-06  00:00:00'},'0',1150721201652407296,0); 
DELETE FROM t_hsas_triggercolla WHERE FID = 1569649870065753088;
INSERT INTO t_hsas_triggercolla(FID,FALIAS,FENTITYOBJECTID,FISSYSPRESET,FOPERATIONTYPEID,FDISABLEDATE,FSIMPLENAME,FDESCRIPTION,FMASTERID,FOPERATIONCLSID,FSTATUS,FNUMBER,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FBIZAPPID,FMODIFYTIME,FISMUSTFIELDMAPPING,FCREATORID,FDISABLERID) VALUES (1569649870065753088,'新增/变更任职受雇从业信息','itc_employment','1',1569645576776152064,NULL,' ',' ',1569649870065753088,1569644752024990720,'C','1190_S','新增/变更任职受雇从业信息',0,{ts'2022-12-06  00:00:00'},1150721201652407296,'1','17/+CT1QBPNP',{ts'2022-12-06  00:00:00'},'0',1150721201652407296,0); 
DELETE FROM t_hsas_triggercolla WHERE FID = 1569652363361350656;
INSERT INTO t_hsas_triggercolla(FID,FALIAS,FENTITYOBJECTID,FISSYSPRESET,FOPERATIONTYPEID,FDISABLEDATE,FSIMPLENAME,FDESCRIPTION,FMASTERID,FOPERATIONCLSID,FSTATUS,FNUMBER,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FBIZAPPID,FMODIFYTIME,FISMUSTFIELDMAPPING,FCREATORID,FDISABLERID) VALUES (1569652363361350656,'新增/变更中国社保档案','hcsi_sinsurfile','1',1569645752349744128,NULL,' ',' ',1569652363361350656,1569644925501430784,'C','1200_S','新增/变更中国社保档案',0,{ts'2022-12-06  00:00:00'},1150721201652407296,'1','2AXKDRPJUQ77',{ts'2022-12-06  00:00:00'},'0',1150721201652407296,0); 

DELETE FROM t_hsas_triggercolla_l WHERE FPKID = '2XT07PQ=XQFI';
INSERT INTO t_hsas_triggercolla_l(FID,FALIAS,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1569649316157578240,'新增/变更中国个税档案','2XT07PQ=XQFI','zh_CN',' ',' ','新增/变更中国个税档案'); 
DELETE FROM t_hsas_triggercolla_l WHERE FPKID = '2XT0AR4C2P0J';
INSERT INTO t_hsas_triggercolla_l(FID,FALIAS,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1569649870065753088,'新增/变更任职受雇从业信息','2XT0AR4C2P0J','zh_CN',' ',' ','新增/变更任职受雇从业信息'); 
DELETE FROM t_hsas_triggercolla_l WHERE FPKID = '2XT0SXPTF=PS';
INSERT INTO t_hsas_triggercolla_l(FID,FALIAS,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1569652363361350656,'新增/变更中国社保档案','2XT0SXPTF=PS','zh_CN',' ',' ','新增/变更中国社保档案'); 

DELETE FROM t_hsas_collapluginent WHERE FENTRYID = 1569649316182744064;
INSERT INTO t_hsas_collapluginent(FID,FPLUGINPATH,FENTRYID,FSEQ) VALUES (1569649316157578240,'kd.swc.hsas.formplugin.web.basedata.cloudcollaplugin.CloudCollaTaxFileDataAssemblePlugin',1569649316182744064,1); 
DELETE FROM t_hsas_collapluginent WHERE FENTRYID = 1569652363369739264;
INSERT INTO t_hsas_collapluginent(FID,FPLUGINPATH,FENTRYID,FSEQ) VALUES (1569652363361350656,'kd.swc.hsas.formplugin.web.basedata.cloudcollaplugin.CloudCollaSInsurFileDataAssemblePlugin',1569652363369739264,1); 

DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649316157578241;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649316157578240,'1',1569649316157578241,'org',1); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649316157578242;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649316157578240,'1',1569649316157578242,'empgroup',2); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649316157578243;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649316157578240,'1',1569649316157578243,'taxunit',3); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649316157578244;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649316157578240,'1',1569649316157578244,'taxstatus',4); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649316157578245;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649316157578240,'1',1569649316157578245,'bsed',5); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649316157578246;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649316157578240,'1',1569649316157578246,'isescrowstaff',6); 

-- 任职受雇，2023-1-5 任职受雇增加4个字段
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649870065753081;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649870065753088,'1',1569649870065753081,'empdate',3); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649870065753082;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649870065753088,'1',1569649870065753082,'quitdate',4); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649870065753083;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649870065753088,'1',1569649870065753083,'bsed',7); 

DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649870065753084;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649870065753088,'1',1569649870065753084,'taxpayertype',1); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649870065753085;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649870065753088,'1',1569649870065753085,'emptype',2); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649870065753086;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649870065753088,'1',1569649870065753086,'empsituation',5); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569649870065753087;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569649870065753088,'1',1569649870065753087,'isdeductexps',6); 

DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569652363361350651;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569652363361350656,'1',1569652363361350651,'empgroup',1); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569652363361350652;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569652363361350656,'1',1569652363361350652,'welfarepayer',2); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569652363361350653;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569652363361350656,'1',1569652363361350653,'welfarepayertheory',3); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569652363361350654;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569652363361350656,'1',1569652363361350654,'sinsurstatus',4); 
DELETE FROM t_hsas_collaparament WHERE FENTRYID = 1569652363361350655;
INSERT INTO t_hsas_collaparament(FID,FISSYSPRESET,FENTRYID,FFIELDKEY,FSEQ) VALUES (1569652363361350656,'1',1569652363361350655,'bsed',5); 


-- 人员协作模板改成 薪资协作模板

DELETE FROM t_hsas_payrollactgtpl WHERE FID = 1010;
INSERT INTO t_hsas_payrollactgtpl(FID,FALIAS,FISSYSPRESET,FDISABLEDATE,FSIMPLENAME,FDESCRIPTION,FMASTERID,FSTATUS,FNUMBER,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FBIZAPPID,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1010,'薪资协作模板','1',NULL,' ','用于员工发生入职、转正、调动、外派、兼职、离职后，需要同步计薪人员、维护人员薪资档案等协作场景',1010,'C','1010_S','薪资协作模板',0,{ts'2020-05-01  00:00:00'},1158705950345960448,'1','/UHMBBGZQ65X',{ts'2022-06-24  00:00:00'},1,0); 

DELETE FROM t_hsas_payrollactgtpl_l WHERE FPKID = '0R9UY3SYUZ72';
INSERT INTO t_hsas_payrollactgtpl_l(FID,FALIAS,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1010,'薪资协作模板','0R9UY3SYUZ72','zh_CN',' ','用于员工发生入职、转正、调动、外派、兼职、离职后，需要同步计薪人员、维护人员薪资档案等协作场景','薪资协作模板'); 
